package gui;

import gui.panels.RemoteControlBackPanel;
import gui.panels.RemoteControlPanel;
import gui.states.MousePosState;

import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Toolkit;
import java.io.IOException;

import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JPanel;

import java.util.List;

public class RemoteFrame extends JFrame {
	
	public RemoteFrame(List<MousePosState> remoteStates) {
		super("Пульт управления");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		JPanel remotePanel = new JPanel();
		JPanel remoteBackPanel = new JPanel();
		try {
			remotePanel = new RemoteControlPanel(remoteStates);
		} catch (IOException e) {
			SplashWindow.displayMessage("Cannot load images for front-side remote panel!",
					"Error while loading");
			e.printStackTrace();
			System.exit(-2);
		}
		
		try {
			remoteBackPanel = new RemoteControlBackPanel();
		} catch (IOException e) {
			SplashWindow.displayMessage("Cannot load images for back-side remote panel!",
					"Error while loading");
			e.printStackTrace();
			System.exit(-2);
		}
		
		JPanel mainPanel = new JPanel(new GridLayout(2, 1));
		mainPanel.add(remotePanel);		
		mainPanel.add(remoteBackPanel);
		
		add(mainPanel);
		
		pack();
		setAlwaysOnTop(true);
		setResizable(false);
		
		Dimension screenDim = Toolkit.getDefaultToolkit().getScreenSize();
		setLocation((screenDim.width - getWidth()) / 2,
				(screenDim.height - getHeight()) / 2);
	}
}
