package gui.panels;

import java.awt.Point;

import main.IReactable;

public class MouseAreaWatcher {
	private final Point myTopLeft;
	private final Point myBottomRight;
	private final IReactable myReactable;

	public MouseAreaWatcher(Point topLeft, Point bottomRight,
			IReactable reactable) {
		myTopLeft = topLeft;
		myBottomRight = bottomRight;
		myReactable = reactable;
	}

	public boolean isPointOver(Point p) {
		boolean activeX = ((p.getX() - myTopLeft.getX()) * (p.getX() - myBottomRight
				.getX())) <= 0;
		boolean activeY = ((p.getY() - myTopLeft.getY()) * (p.getY() - myBottomRight
				.getY())) <= 0;
		return (activeX && activeY);
	}

	public void react() {
		myReactable.react();
	}

	public boolean process(Point p) {
		if (isPointOver(p)) {
			myReactable.react();
			return true;
		}
		return false;
	}

}
