package main;

import gui.CarFrame;
import gui.IRemoteGui;

public class CarGui {

	private static CarFrame myFrame;
	private static IRemoteGui myRemote;
	private static CarGui INSTANCE;

	public static CarGui getInstance(CarFrame frame) {
		if (INSTANCE == null)
			INSTANCE = new CarGui();
		myFrame = frame;
		return INSTANCE;
	}

	public static void setRemote(IRemoteGui remoteGui) {
		myRemote = remoteGui;
	}

	public static void addToLog(String message) {
		if (myFrame != null)
			myFrame.addToLog(message);
	}

	public static void blink(int times) {
		if (myFrame != null)
			myFrame.blink(times);
	}

	public static void startBlinking() {
		if (myFrame != null)
			myFrame.startBlinking();
	}

	public static void setDoorState(boolean isOpened) {
		if (myRemote != null)
			myRemote.setDoorState(isOpened);
	}

	public static void setLockState(boolean isLocked) {
		if (myRemote != null)
			myRemote.setLockState(isLocked);
	}

	public static void setMenuItem(int itemNum) {
		if (myRemote != null)
			myRemote.setMenuItem(itemNum);
	}

	public static void setMenuTitle(int titleNum) {
		if (myRemote != null)
			myRemote.setMenuTitle(titleNum);
	}

	public static void setMode(boolean isMenu) {
		if (myRemote != null)
			myRemote.setMode(isMenu);
	}

	public static void setShockState(boolean isShocked) {
		if (myRemote != null)
			myRemote.setShockState(isShocked);
	}

	public static void setSoundState(boolean isOn) {
		if (myRemote != null)
			myRemote.setSoundState(isOn);
	}
}
