package main;
/**
  * This file was generated from model [Model1] on [Fri Jun 27 15:36:29 MSD 2008].
  * Do not change content of this file.
  */

import java.io.IOException;
import java.util.*;

import org.apache.commons.lang.BooleanUtils;
import org.apache.commons.lang.math.NumberUtils;
import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.evelopers.common.exception.*;
import com.evelopers.unimod.core.stateworks.*;
import com.evelopers.unimod.debug.app.AppDebugger;
import com.evelopers.unimod.debug.protocol.JavaSpecificMessageCoder;
import com.evelopers.unimod.runtime.*;
import com.evelopers.unimod.runtime.context.*;
import com.evelopers.unimod.runtime.logger.SimpleLogger;


public class Model1EventProcessor extends AbstractEventProcessor {

	private ModelStructure modelStructure;

				private static final int A1Car = 1;
			private static final int A2System = 2;
			private static final int A3Remote = 3;
	
	private int decodeStateMachine(String sm) {
					
		if ("A1Car".equals(sm)) {
			return A1Car;
						} else 
				
		if ("A2System".equals(sm)) {
			return A2System;
						} else 
				
		if ("A3Remote".equals(sm)) {
			return A3Remote;
			}

		return -1;
	}
		
			private A1CarEventProcessor _A1Car;
			private A2SystemEventProcessor _A2System;
			private A3RemoteEventProcessor _A3Remote;
		
	public Model1EventProcessor() {
		modelStructure = new Model1ModelStructure();

					_A1Car = new A1CarEventProcessor();
					_A2System = new A2SystemEventProcessor();
					_A3Remote = new A3RemoteEventProcessor();
			}

		    public static void run(int debuggerPort, boolean debuggerSuspend) throws 
						            InterruptedException, EventProcessorException, CommonException, 
        			    IOException {

        		/* Create runtime engine */
        		ModelEngine engine = createModelEngine(true);

		        /* Setup logger */
		        final Log log = LogFactory.getLog(Model1EventProcessor.class);
        		engine.getEventProcessor().addEventProcessorListener(new SimpleLogger(log));

        		/* Setup exception handler */
        		engine.getEventProcessor().addExceptionHandler(new ExceptionHandler() {
		            public void handleException(StateMachineContext context, SystemException e) {
                				log.fatal(e.getChainedMessage(), e.getRootException());
		            }
		        });

        		if (debuggerPort > 0) {
            			AppDebugger d = new AppDebugger(
            					        debuggerPort, debuggerSuspend,
                    					new JavaSpecificMessageCoder(), engine);
                    			d.start();
            		}
            		engine.start();
        	}

    	public static void main(String[] args) throws Exception {
		        int debuggerPort = NumberUtils.stringToInt(System.getProperty("debugger.port"), -1);
        		boolean debuggerSuspend = BooleanUtils.toBoolean(System.getProperty("debugger.suspend"));
        		Model1EventProcessor.run(debuggerPort, debuggerSuspend);
    	}

    	public static ModelEngine createModelEngine(boolean useEventQueue) throws CommonException {
        	ObjectsManager objectsManager = new ObjectsManager();
        	return ModelEngine.createStandAlone(
        		        useEventQueue ? (EventManager) new QueuedHandler() : (EventManager) new StrictHandler(), 
        		        new Model1EventProcessor(),
                objectsManager.getControlledObjectsManager(),
                objectsManager.getEventProvidersManager());
	    }

	    public static class ObjectsManager {
	        private car.CarCO o1 = null;
	        private car.SignalsCO o2 = null;
	        private car.CarBlockCO o4 = null;
	        private remote.RemoteCO o3 = null;
	        private car.CarStateEP p1 = null;
	        private remote.RemoteEP p2 = null;
	        private remote.RemotePhysicalEP p3 = null;
	        private car.CarBlockEP p4 = null;
	    
	        private ControlledObjectsManager controlledObjectsManager = new ControlledObjectsManagerImpl();
	        private EventProvidersManager eventProvidersManager = new EventProvidersManagerImpl();

	        public ControlledObjectsManager getControlledObjectsManager() {
	            return controlledObjectsManager;
	        }

	        public EventProvidersManager getEventProvidersManager() {
	            return eventProvidersManager;
	        }

	        private class ControlledObjectsManagerImpl implements ControlledObjectsManager {
	            public void init(ModelEngine engine) throws CommonException {}

	            public void dispose() {}

	            public ControlledObject getControlledObject(String coName) {
                if (StringUtils.equals(coName, "o1")) {
                		    if (o1 == null) {
                		        o1 = new car.CarCO();
                		    }
                		    return o1;
                }
                if (StringUtils.equals(coName, "o2")) {
                		    if (o2 == null) {
                		        o2 = new car.SignalsCO();
                		    }
                		    return o2;
                }
                if (StringUtils.equals(coName, "o4")) {
                		    if (o4 == null) {
                		        o4 = new car.CarBlockCO();
                		    }
                		    return o4;
                }
                if (StringUtils.equals(coName, "o3")) {
                		    if (o3 == null) {
                		        o3 = new remote.RemoteCO();
                		    }
                		    return o3;
                }
	                throw new IllegalArgumentException("Controlled object with name [" + coName + "] wasn't found");
	            }
	        }

	        private class EventProvidersManagerImpl implements EventProvidersManager {
	            private List nonameEventProviders = new ArrayList();

	            public void init(ModelEngine engine) throws CommonException {
	                EventProvider ep;
	                ep = getEventProvider("p1");
                ep.init(engine);
	                ep = getEventProvider("p2");
                ep.init(engine);
	                ep = getEventProvider("p3");
                ep.init(engine);
	                ep = getEventProvider("p4");
                ep.init(engine);
	            }

	            public void dispose() {
	                	EventProvider ep;
		                ep = getEventProvider("p1");
                ep.dispose();
	                ep = getEventProvider("p2");
                ep.dispose();
	                ep = getEventProvider("p3");
                ep.dispose();
	                ep = getEventProvider("p4");
                ep.dispose();
                for (Iterator i = nonameEventProviders.iterator(); i.hasNext();) {
                    ep = (EventProvider) i.next();
                    ep.dispose();
                }
            }

	            public EventProvider getEventProvider(String epName) {
	                if (StringUtils.equals(epName, "p1")) {
                		    if (p1 == null) {
                		        p1 = new car.CarStateEP();
                		    }
                		    return p1;
                }
                if (StringUtils.equals(epName, "p2")) {
                		    if (p2 == null) {
                		        p2 = new remote.RemoteEP();
                		    }
                		    return p2;
                }
                if (StringUtils.equals(epName, "p3")) {
                		    if (p3 == null) {
                		        p3 = new remote.RemotePhysicalEP();
                		    }
                		    return p3;
                }
                if (StringUtils.equals(epName, "p4")) {
                		    if (p4 == null) {
                		        p4 = new car.CarBlockEP();
                		    }
                		    return p4;
                }
                throw new IllegalArgumentException("Event provider with name [" + epName + "] wasn't found");
	            }
	        }
    	}
	
    public ModelStructure getModelStructure() {
		return modelStructure;
	}	
	
    public void setControlledObjectsMap(ControlledObjectsMap controlledObjectsMap) {
        super.setControlledObjectsMap(controlledObjectsMap);
		
					_A1Car.init(controlledObjectsMap);
					_A2System.init(controlledObjectsMap);
					_A3Remote.init(controlledObjectsMap);
		    }

	protected StateMachineConfig process(
            Event event, StateMachineContext context,
            StateMachinePath path, StateMachineConfig config) throws SystemException {

		// get state machine from path
		int sm = decodeStateMachine(path.getStateMachine());
		
		try {
		switch (sm) {
					case A1Car:
				return _A1Car.process(event, context, path, config);
					case A2System:
				return _A2System.process(event, context, path, config);
					case A3Remote:
				return _A3Remote.process(event, context, path, config);
					default:
				throw new EventProcessorException("Unknown state machine [" + path.getStateMachine() + "]");
		}
		} catch (Exception e) {
			if (e instanceof SystemException) {
				throw (SystemException)e;
			} else {
				throw new SystemException(e);
			}
		}
	}

    protected StateMachineConfig transiteToStableState(
            StateMachineContext context,
            StateMachinePath path, StateMachineConfig config) throws SystemException {

		// get state machine from path
		int sm = decodeStateMachine(path.getStateMachine());

		try {
		switch (sm) {
					case A1Car:
				return _A1Car.transiteToStableState(context, path, config);
					case A2System:
				return _A2System.transiteToStableState(context, path, config);
					case A3Remote:
				return _A3Remote.transiteToStableState(context, path, config);
					default:
				throw new EventProcessorException("Unknown state machine [" + path.getStateMachine() + "]");
		}
		} catch (Exception e) {
			if (e instanceof SystemException) {
				throw (SystemException)e;
			} else {
				throw new SystemException(e);
			}
		}
	}	

	
	
private class Model1ModelStructure implements ModelStructure {
	    private Map configManagers = new HashMap();

    private Model1ModelStructure() {
		        configManagers.put("A1Car", new com.evelopers.unimod.runtime.config.DistinguishConfigManager());
		        configManagers.put("A2System", new com.evelopers.unimod.runtime.config.DistinguishConfigManager());
		        configManagers.put("A3Remote", new com.evelopers.unimod.runtime.config.DistinguishConfigManager());
		    }

	    public StateMachinePath getRootPath() 
	            throws EventProcessorException {
	        	return new StateMachinePath("A1Car");				
	    }

	    public StateMachineConfigManager getConfigManager(String stateMachine) 
	            throws EventProcessorException {
		        return (StateMachineConfigManager)configManagers.get(stateMachine);
	    }

	    public StateMachineConfig getTopConfig(String stateMachine) 
	            throws EventProcessorException {
        		int sm = decodeStateMachine(stateMachine);
		
		        switch (sm) {
					            case A1Car:
                				return new StateMachineConfig("Top");
					            case A2System:
                				return new StateMachineConfig("Top");
					            case A3Remote:
                				return new StateMachineConfig("Top");
					            default:
                				throw new EventProcessorException("Unknown state machine [" + stateMachine + "]");
		        }
	    }

    	public boolean isFinal(String stateMachine, StateMachineConfig config) 
    	        throws EventProcessorException {
		        /* Get state machine from path */
        		int sm = decodeStateMachine(stateMachine);
        		int state;
		        		switch (sm) {
					            case A1Car:
                				state = _A1Car.decodeState(config.getActiveState());
				                switch (state) {
																																							                    					default:
                    						    return false;
                	}
					            case A2System:
                				state = _A2System.decodeState(config.getActiveState());
				                switch (state) {
																																																																																													                    					default:
                    						    return false;
                	}
					            case A3Remote:
                				state = _A3Remote.decodeState(config.getActiveState());
				                switch (state) {
																																																																																																																																																																					                    					default:
                    						    return false;
                	}
					            default:
                				throw new EventProcessorException("Unknown state machine [" + stateMachine + "]");
		        }
	    }			
}
	
			







private class A1CarEventProcessor {

		// states
	    private static final int Top = 1;
	    private static final int s2 = 2;
	    private static final int s1 = 3;
	
	private int decodeState(String state) {
					
		if ("Top".equals(state)) {
			return Top;
						} else 
				
		if ("s2".equals(state)) {
			return s2;
						} else 
				
		if ("s1".equals(state)) {
			return s1;
			}
		
		return -1;
	}
	
		// events
	    private static final int e106 = 1;
	    private static final int e103 = 2;
	    private static final int e105 = 3;
	    private static final int e104 = 4;
	    private static final int e111 = 5;
	    private static final int e112 = 6;
	    private static final int e109 = 7;
	    private static final int e101 = 8;
	    private static final int e107 = 9;
	    private static final int e110 = 10;
	    private static final int e102 = 11;
	    private static final int e108 = 12;
	
	private int decodeEvent(String event) {
					
		if ("e106".equals(event)) {
			return e106;
						} else 
				
		if ("e103".equals(event)) {
			return e103;
						} else 
				
		if ("e105".equals(event)) {
			return e105;
						} else 
				
		if ("e104".equals(event)) {
			return e104;
						} else 
				
		if ("e111".equals(event)) {
			return e111;
						} else 
				
		if ("e112".equals(event)) {
			return e112;
						} else 
				
		if ("e109".equals(event)) {
			return e109;
						} else 
				
		if ("e101".equals(event)) {
			return e101;
						} else 
				
		if ("e107".equals(event)) {
			return e107;
						} else 
				
		if ("e110".equals(event)) {
			return e110;
						} else 
				
		if ("e102".equals(event)) {
			return e102;
						} else 
				
		if ("e108".equals(event)) {
			return e108;
				}
	
		return -1;
	}
		
							private car.CarCO o1;
							
	private void init(ControlledObjectsMap controlledObjectsMap) {
									o1 = (car.CarCO)controlledObjectsMap.getControlledObject("o1");
											}
		
	private StateMachineConfig process(Event event, StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {
		config = lookForTransition(event, context, path, config);
		
		config = transiteToStableState(context, path, config);
		
		// execute included state machines
		executeSubmachines(event, context, path, config);
		
		return config;
	}
	
	private void executeSubmachines(Event event, StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {
		int state = decodeState(config.getActiveState());
		
		while (true) {
		switch (state) {
																			case s2: 
					
											return;
																					case s1: 
																					// s1 includes A2System
	
	fireBeforeSubmachineExecution(context, event, path, "s1", "A2System");
	
	Model1EventProcessor.this.process(event, context, new StateMachinePath(path,
		"s1", "A2System"));

    fireAfterSubmachineExecution(context, event, path, "s1", "A2System");
																// s1 includes A3Remote
	
	fireBeforeSubmachineExecution(context, event, path, "s1", "A3Remote");
	
	Model1EventProcessor.this.process(event, context, new StateMachinePath(path,
		"s1", "A3Remote"));

    fireAfterSubmachineExecution(context, event, path, "s1", "A3Remote");
												
											return;
																default:
					throw new EventProcessorException("State with name [" + config.getActiveState() + "] is unknown for state machine [A1Car]");
		}
		}
	}
	
	private StateMachineConfig transiteToStableState(StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {

		int s = decodeState(config.getActiveState());
		Event event;

		switch (s) {
									case Top:
					
										
					fireComeToState(context, path, "s2");

					// s2->s1 [true]/
					event = Event.NO_EVENT;
						fireTransitionFound(context, path, "s2", event, "s2#s1##true");
	
		
	fireComeToState(context, path, "s1");
	
	// s1 []
						
											return new StateMachineConfig("s1");
																						}
	
		return config;
	}    
	
	private StateMachineConfig lookForTransition(Event event, StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {
					
		
				
		
	
				BitSet calculatedInputActions = new BitSet(0);
		
		int s = decodeState(config.getActiveState());
		int e = decodeEvent(event.getName());
	
		while (true) {
			switch (s) {
																										case s1:
						
											
												switch (e) {
													case e109:
																
						// s1->s1 e109[true]/o1.z9
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e109#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e109#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e109#true", "o1.z9");

				o1.z9(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e109#true", "o1.z9");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e112:
																
						// s1->s1 e112[true]/o1.z12
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e112#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e112#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e112#true", "o1.z12");

				o1.z12(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e112#true", "o1.z12");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e106:
																
						// s1->s1 e106[true]/o1.z6
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e106#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e106#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e106#true", "o1.z6");

				o1.z6(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e106#true", "o1.z6");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e101:
																
						// s1->s1 e101[true]/o1.z1
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e101#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e101#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e101#true", "o1.z1");

				o1.z1(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e101#true", "o1.z1");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e103:
																
						// s1->s1 e103[true]/o1.z3
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e103#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e103#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e103#true", "o1.z3");

				o1.z3(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e103#true", "o1.z3");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e107:
																
						// s1->s1 e107[true]/o1.z7
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e107#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e107#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e107#true", "o1.z7");

				o1.z7(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e107#true", "o1.z7");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e110:
																
						// s1->s1 e110[true]/o1.z10
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e110#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e110#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e110#true", "o1.z10");

				o1.z10(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e110#true", "o1.z10");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e105:
																
						// s1->s1 e105[true]/o1.z5
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e105#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e105#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e105#true", "o1.z5");

				o1.z5(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e105#true", "o1.z5");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e104:
																
						// s1->s1 e104[true]/o1.z4
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e104#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e104#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e104#true", "o1.z4");

				o1.z4(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e104#true", "o1.z4");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e102:
																
						// s1->s1 e102[true]/o1.z2
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e102#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e102#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e102#true", "o1.z2");

				o1.z2(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e102#true", "o1.z2");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e111:
																
						// s1->s1 e111[true]/o1.z11
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e111#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e111#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e111#true", "o1.z11");

				o1.z11(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e111#true", "o1.z11");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
														case e108:
																
						// s1->s1 e108[true]/o1.z8
			
			fireTransitionCandidate(context, path, "s1", event, "s1#s1#e108#true");
			
						
							
			
							
					fireTransitionFound(context, path, "s1", event, "s1#s1#e108#true");
	
				fireBeforeOutputActionExecution(context, path, "s1#s1#e108#true", "o1.z8");

				o1.z8(context);
		
	fireAfterOutputActionExecution(context, path, "s1#s1#e108#true", "o1.z8");
		
	fireComeToState(context, path, "s1");
	
	// s1 []
					return new StateMachineConfig("s1");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																	default:
					throw new EventProcessorException("Incorrect stable state [" + config.getActiveState() + "] in state machine [A1Car]");
			}
		}
	}

		        
}
			







private class A2SystemEventProcessor {

		// states
	    private static final int Top = 1;
	    private static final int In_drive = 2;
	    private static final int In_drive___manual_locks = 3;
	    private static final int Ready = 4;
	    private static final int s1 = 5;
	    private static final int Shock_sensor_activated = 6;
	    private static final int Guard_normal = 7;
	    private static final int Panic = 8;
	    private static final int Alarm_activated = 9;
	
	private int decodeState(String state) {
					
		if ("Top".equals(state)) {
			return Top;
						} else 
				
		if ("In drive".equals(state)) {
			return In_drive;
						} else 
				
		if ("In drive / manual locks".equals(state)) {
			return In_drive___manual_locks;
						} else 
				
		if ("Ready".equals(state)) {
			return Ready;
						} else 
				
		if ("s1".equals(state)) {
			return s1;
						} else 
				
		if ("Shock sensor activated".equals(state)) {
			return Shock_sensor_activated;
						} else 
				
		if ("Guard normal".equals(state)) {
			return Guard_normal;
						} else 
				
		if ("Panic".equals(state)) {
			return Panic;
						} else 
				
		if ("Alarm activated".equals(state)) {
			return Alarm_activated;
			}
		
		return -1;
	}
	
		// events
	    private static final int e203 = 1;
	    private static final int e114 = 2;
	    private static final int e103 = 3;
	    private static final int e204 = 4;
	    private static final int e202 = 5;
	    private static final int e105 = 6;
	    private static final int e205 = 7;
	    private static final int e111 = 8;
	    private static final int e112 = 9;
	    private static final int e206 = 10;
	    private static final int e109 = 11;
	    private static final int e201 = 12;
	    private static final int e101 = 13;
	    private static final int e113 = 14;
	    private static final int e107 = 15;
	    private static final int e110 = 16;
	
	private int decodeEvent(String event) {
					
		if ("e203".equals(event)) {
			return e203;
						} else 
				
		if ("e114".equals(event)) {
			return e114;
						} else 
				
		if ("e103".equals(event)) {
			return e103;
						} else 
				
		if ("e204".equals(event)) {
			return e204;
						} else 
				
		if ("e202".equals(event)) {
			return e202;
						} else 
				
		if ("e105".equals(event)) {
			return e105;
						} else 
				
		if ("e205".equals(event)) {
			return e205;
						} else 
				
		if ("e111".equals(event)) {
			return e111;
						} else 
				
		if ("e112".equals(event)) {
			return e112;
						} else 
				
		if ("e206".equals(event)) {
			return e206;
						} else 
				
		if ("e109".equals(event)) {
			return e109;
						} else 
				
		if ("e201".equals(event)) {
			return e201;
						} else 
				
		if ("e101".equals(event)) {
			return e101;
						} else 
				
		if ("e113".equals(event)) {
			return e113;
						} else 
				
		if ("e107".equals(event)) {
			return e107;
						} else 
				
		if ("e110".equals(event)) {
			return e110;
				}
	
		return -1;
	}
		
							private car.CarCO o1;
								private car.SignalsCO o2;
								private car.CarBlockCO o4;
							
	private void init(ControlledObjectsMap controlledObjectsMap) {
									o1 = (car.CarCO)controlledObjectsMap.getControlledObject("o1");
												o2 = (car.SignalsCO)controlledObjectsMap.getControlledObject("o2");
												o4 = (car.CarBlockCO)controlledObjectsMap.getControlledObject("o4");
											}
		
	private StateMachineConfig process(Event event, StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {
		config = lookForTransition(event, context, path, config);
		
		config = transiteToStableState(context, path, config);
		
		// execute included state machines
		executeSubmachines(event, context, path, config);
		
		return config;
	}
	
	private void executeSubmachines(Event event, StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {
		int state = decodeState(config.getActiveState());
		
		while (true) {
		switch (state) {
																			case In_drive: 
					
											return;
																					case In_drive___manual_locks: 
					
											return;
																					case Ready: 
					
											return;
																					case s1: 
					
											return;
																					case Shock_sensor_activated: 
					
											return;
																					case Guard_normal: 
					
											return;
																					case Panic: 
					
											return;
																					case Alarm_activated: 
					
											return;
																default:
					throw new EventProcessorException("State with name [" + config.getActiveState() + "] is unknown for state machine [A2System]");
		}
		}
	}
	
	private StateMachineConfig transiteToStableState(StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {

		int s = decodeState(config.getActiveState());
		Event event;

		switch (s) {
									case Top:
					
										
					fireComeToState(context, path, "s1");

					// s1->Ready [true]/
					event = Event.NO_EVENT;
						fireTransitionFound(context, path, "s1", event, "s1#Ready##true");
	
		
	fireComeToState(context, path, "Ready");
	
	// Ready [o2.z10]
				fireBeforeOutputActionExecution(context, path, "s1#Ready##true", "o2.z10");

				o2.z10(context);
		
	fireAfterOutputActionExecution(context, path, "s1#Ready##true", "o2.z10");
						
											return new StateMachineConfig("Ready");
																																																				}
	
		return config;
	}    
	
	private StateMachineConfig lookForTransition(Event event, StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {
					
		
			boolean
								
			o1_x1 = false
				;
				
		
			int
								
			o4_x1 = 0
				;
	
				BitSet calculatedInputActions = new BitSet(2);
		
		int s = decodeState(config.getActiveState());
		int e = decodeEvent(event.getName());
	
		while (true) {
			switch (s) {
																			case In_drive:
						
											
												switch (e) {
													case e112:
																
						// In drive->In drive / manual locks e112[true]/
			
			fireTransitionCandidate(context, path, "In drive", event, "In drive#In drive / manual locks#e112#true");
			
						
							
			
							
					fireTransitionFound(context, path, "In drive", event, "In drive#In drive / manual locks#e112#true");
	
		
	fireComeToState(context, path, "In drive / manual locks");
	
	// In drive / manual locks []
					return new StateMachineConfig("In drive / manual locks");

																				
														case e201:
																
						// In drive->In drive e201[true]/o4.z1
			
			fireTransitionCandidate(context, path, "In drive", event, "In drive#In drive#e201#true");
			
						
							
			
							
					fireTransitionFound(context, path, "In drive", event, "In drive#In drive#e201#true");
	
				fireBeforeOutputActionExecution(context, path, "In drive#In drive#e201#true", "o4.z1");

				o4.z1(context);
		
	fireAfterOutputActionExecution(context, path, "In drive#In drive#e201#true", "o4.z1");
		
	fireComeToState(context, path, "In drive");
	
	// In drive []
					return new StateMachineConfig("In drive");

																				
														case e110:
																
						// In drive->Ready e110[true]/o4.z2
			
			fireTransitionCandidate(context, path, "In drive", event, "In drive#Ready#e110#true");
			
						
							
			
							
					fireTransitionFound(context, path, "In drive", event, "In drive#Ready#e110#true");
	
				fireBeforeOutputActionExecution(context, path, "In drive#Ready#e110#true", "o4.z2");

				o4.z2(context);
		
	fireAfterOutputActionExecution(context, path, "In drive#Ready#e110#true", "o4.z2");
		
	fireComeToState(context, path, "Ready");
	
	// Ready [o2.z10]
				fireBeforeOutputActionExecution(context, path, "In drive#Ready#e110#true", "o2.z10");

				o2.z10(context);
		
	fireAfterOutputActionExecution(context, path, "In drive#Ready#e110#true", "o2.z10");
					return new StateMachineConfig("Ready");

																				
														case e202:
																
						// In drive->In drive e202[true]/o4.z2
			
			fireTransitionCandidate(context, path, "In drive", event, "In drive#In drive#e202#true");
			
						
							
			
							
					fireTransitionFound(context, path, "In drive", event, "In drive#In drive#e202#true");
	
				fireBeforeOutputActionExecution(context, path, "In drive#In drive#e202#true", "o4.z2");

				o4.z2(context);
		
	fireAfterOutputActionExecution(context, path, "In drive#In drive#e202#true", "o4.z2");
		
	fireComeToState(context, path, "In drive");
	
	// In drive []
					return new StateMachineConfig("In drive");

																				
														case e111:
																
						// In drive->In drive / manual locks e111[true]/
			
			fireTransitionCandidate(context, path, "In drive", event, "In drive#In drive / manual locks#e111#true");
			
						
							
			
							
					fireTransitionFound(context, path, "In drive", event, "In drive#In drive / manual locks#e111#true");
	
		
	fireComeToState(context, path, "In drive / manual locks");
	
	// In drive / manual locks []
					return new StateMachineConfig("In drive / manual locks");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case In_drive___manual_locks:
						
											
												switch (e) {
													case e201:
																
						// In drive / manual locks->In drive / manual locks e201[true]/o4.z1
			
			fireTransitionCandidate(context, path, "In drive / manual locks", event, "In drive / manual locks#In drive / manual locks#e201#true");
			
						
							
			
							
					fireTransitionFound(context, path, "In drive / manual locks", event, "In drive / manual locks#In drive / manual locks#e201#true");
	
				fireBeforeOutputActionExecution(context, path, "In drive / manual locks#In drive / manual locks#e201#true", "o4.z1");

				o4.z1(context);
		
	fireAfterOutputActionExecution(context, path, "In drive / manual locks#In drive / manual locks#e201#true", "o4.z1");
		
	fireComeToState(context, path, "In drive / manual locks");
	
	// In drive / manual locks []
					return new StateMachineConfig("In drive / manual locks");

																				
														case e110:
																
						// In drive / manual locks->Ready e110[true]/
			
			fireTransitionCandidate(context, path, "In drive / manual locks", event, "In drive / manual locks#Ready#e110#true");
			
						
							
			
							
					fireTransitionFound(context, path, "In drive / manual locks", event, "In drive / manual locks#Ready#e110#true");
	
		
	fireComeToState(context, path, "Ready");
	
	// Ready [o2.z10]
				fireBeforeOutputActionExecution(context, path, "In drive / manual locks#Ready#e110#true", "o2.z10");

				o2.z10(context);
		
	fireAfterOutputActionExecution(context, path, "In drive / manual locks#Ready#e110#true", "o2.z10");
					return new StateMachineConfig("Ready");

																				
														case e202:
																
						// In drive / manual locks->In drive / manual locks e202[true]/o4.z2
			
			fireTransitionCandidate(context, path, "In drive / manual locks", event, "In drive / manual locks#In drive / manual locks#e202#true");
			
						
							
			
							
					fireTransitionFound(context, path, "In drive / manual locks", event, "In drive / manual locks#In drive / manual locks#e202#true");
	
				fireBeforeOutputActionExecution(context, path, "In drive / manual locks#In drive / manual locks#e202#true", "o4.z2");

				o4.z2(context);
		
	fireAfterOutputActionExecution(context, path, "In drive / manual locks#In drive / manual locks#e202#true", "o4.z2");
		
	fireComeToState(context, path, "In drive / manual locks");
	
	// In drive / manual locks []
					return new StateMachineConfig("In drive / manual locks");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Ready:
						
											
												switch (e) {
													case e109:
																
						// Ready->In drive e109[true]/o4.z1
			
			fireTransitionCandidate(context, path, "Ready", event, "Ready#In drive#e109#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Ready", event, "Ready#In drive#e109#true");
	
				fireBeforeOutputActionExecution(context, path, "Ready#In drive#e109#true", "o4.z1");

				o4.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#In drive#e109#true", "o4.z1");
		
	fireComeToState(context, path, "In drive");
	
	// In drive []
					return new StateMachineConfig("In drive");

																				
														case e206:
																
						// Ready->Ready e206[true]/o4.z7,o2.z4
			
			fireTransitionCandidate(context, path, "Ready", event, "Ready#Ready#e206#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Ready", event, "Ready#Ready#e206#true");
	
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e206#true", "o4.z7");

				o4.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e206#true", "o4.z7");
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e206#true", "o2.z4");

				o2.z4(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e206#true", "o2.z4");
		
	fireComeToState(context, path, "Ready");
	
	// Ready [o2.z10]
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e206#true", "o2.z10");

				o2.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e206#true", "o2.z10");
					return new StateMachineConfig("Ready");

																				
														case e201:
																
						// Ready->Guard normal e201[!o1.x1]/o4.z1,o4.z3,o2.z3
			
			fireTransitionCandidate(context, path, "Ready", event, "Ready#Guard normal#e201#!o1.x1");
			
																	if (!isInputActionCalculated(calculatedInputActions, _o1_x1)) {
	
		fireBeforeInputActionExecution(context, path, "Ready#Guard normal#e201#!o1.x1", "o1.x1");

					o1_x1 = o1.x1(context);
		
			fireAfterInputActionExecution(context, path, "Ready#Guard normal#e201#!o1.x1", "o1.x1", new Boolean(o1_x1));
			}					
							
							
			
												if (!o1_x1) {
				
					fireTransitionFound(context, path, "Ready", event, "Ready#Guard normal#e201#!o1.x1");
	
				fireBeforeOutputActionExecution(context, path, "Ready#Guard normal#e201#!o1.x1", "o4.z1");

				o4.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Guard normal#e201#!o1.x1", "o4.z1");
				fireBeforeOutputActionExecution(context, path, "Ready#Guard normal#e201#!o1.x1", "o4.z3");

				o4.z3(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Guard normal#e201#!o1.x1", "o4.z3");
				fireBeforeOutputActionExecution(context, path, "Ready#Guard normal#e201#!o1.x1", "o2.z3");

				o2.z3(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Guard normal#e201#!o1.x1", "o2.z3");
		
	fireComeToState(context, path, "Guard normal");
	
	// Guard normal [o2.z9]
				fireBeforeOutputActionExecution(context, path, "Ready#Guard normal#e201#!o1.x1", "o2.z9");

				o2.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Guard normal#e201#!o1.x1", "o2.z9");
					return new StateMachineConfig("Guard normal");

									}
												// Ready->Guard normal e201[o1.x1]/o4.z1,o4.z3,o2.z1
			
			fireTransitionCandidate(context, path, "Ready", event, "Ready#Guard normal#e201#o1.x1");
			
													
							
			
												if (o1_x1) {
				
					fireTransitionFound(context, path, "Ready", event, "Ready#Guard normal#e201#o1.x1");
	
				fireBeforeOutputActionExecution(context, path, "Ready#Guard normal#e201#o1.x1", "o4.z1");

				o4.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Guard normal#e201#o1.x1", "o4.z1");
				fireBeforeOutputActionExecution(context, path, "Ready#Guard normal#e201#o1.x1", "o4.z3");

				o4.z3(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Guard normal#e201#o1.x1", "o4.z3");
				fireBeforeOutputActionExecution(context, path, "Ready#Guard normal#e201#o1.x1", "o2.z1");

				o2.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Guard normal#e201#o1.x1", "o2.z1");
		
	fireComeToState(context, path, "Guard normal");
	
	// Guard normal [o2.z9]
				fireBeforeOutputActionExecution(context, path, "Ready#Guard normal#e201#o1.x1", "o2.z9");

				o2.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Guard normal#e201#o1.x1", "o2.z9");
					return new StateMachineConfig("Guard normal");

									}
																
										// transition not found
								return config;
																			case e204:
																
						// Ready->Ready e204[true]/o4.z5,o2.z4
			
			fireTransitionCandidate(context, path, "Ready", event, "Ready#Ready#e204#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Ready", event, "Ready#Ready#e204#true");
	
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e204#true", "o4.z5");

				o4.z5(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e204#true", "o4.z5");
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e204#true", "o2.z4");

				o2.z4(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e204#true", "o2.z4");
		
	fireComeToState(context, path, "Ready");
	
	// Ready [o2.z10]
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e204#true", "o2.z10");

				o2.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e204#true", "o2.z10");
					return new StateMachineConfig("Ready");

																				
														case e202:
																
						// Ready->Ready e202[true]/o4.z2,o2.z2
			
			fireTransitionCandidate(context, path, "Ready", event, "Ready#Ready#e202#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Ready", event, "Ready#Ready#e202#true");
	
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e202#true", "o4.z2");

				o4.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e202#true", "o4.z2");
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e202#true", "o2.z2");

				o2.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e202#true", "o2.z2");
		
	fireComeToState(context, path, "Ready");
	
	// Ready [o2.z10]
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e202#true", "o2.z10");

				o2.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e202#true", "o2.z10");
					return new StateMachineConfig("Ready");

																				
														case e205:
																
						// Ready->Ready e205[true]/o4.z6,o2.z4
			
			fireTransitionCandidate(context, path, "Ready", event, "Ready#Ready#e205#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Ready", event, "Ready#Ready#e205#true");
	
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e205#true", "o4.z6");

				o4.z6(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e205#true", "o4.z6");
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e205#true", "o2.z4");

				o2.z4(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e205#true", "o2.z4");
		
	fireComeToState(context, path, "Ready");
	
	// Ready [o2.z10]
				fireBeforeOutputActionExecution(context, path, "Ready#Ready#e205#true", "o2.z10");

				o2.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Ready#Ready#e205#true", "o2.z10");
					return new StateMachineConfig("Ready");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																													case Shock_sensor_activated:
						
											
												switch (e) {
													case e203:
																
						// Shock sensor activated->Panic e203[true]/
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Panic#e203#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Panic#e203#true");
	
		
	fireComeToState(context, path, "Panic");
	
	// Panic [o2.z8, o2.z11]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Panic#e203#true", "o2.z8");

				o2.z8(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Panic#e203#true", "o2.z8");
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Panic#e203#true", "o2.z11");

				o2.z11(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Panic#e203#true", "o2.z11");
					return new StateMachineConfig("Panic");

																				
														case e109:
																
						// Shock sensor activated->Alarm activated e109[true]/
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e109#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e109#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e109#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e109#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e109#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e109#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e201:
																
						// Shock sensor activated->Guard normal e201[true]/o2.z1
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Guard normal#e201#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Guard normal#e201#true");
	
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Guard normal#e201#true", "o2.z1");

				o2.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Guard normal#e201#true", "o2.z1");
		
	fireComeToState(context, path, "Guard normal");
	
	// Guard normal [o2.z9]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Guard normal#e201#true", "o2.z9");

				o2.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Guard normal#e201#true", "o2.z9");
					return new StateMachineConfig("Guard normal");

																				
														case e114:
																
						// Shock sensor activated->Shock sensor activated e114[true]/o2.z6
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Shock sensor activated#e114#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Shock sensor activated#e114#true");
	
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Shock sensor activated#e114#true", "o2.z6");

				o2.z6(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Shock sensor activated#e114#true", "o2.z6");
		
	fireComeToState(context, path, "Shock sensor activated");
	
	// Shock sensor activated [o2.z13]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Shock sensor activated#e114#true", "o2.z13");

				o2.z13(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Shock sensor activated#e114#true", "o2.z13");
					return new StateMachineConfig("Shock sensor activated");

																				
														case e101:
																
						// Shock sensor activated->Alarm activated e101[true]/
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e101#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e101#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e101#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e101#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e101#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e101#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e103:
																
						// Shock sensor activated->Alarm activated e103[true]/
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e103#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e103#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e103#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e103#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e103#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e103#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e113:
																
						// Shock sensor activated->Shock sensor activated e113[true]/o2.z3
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Shock sensor activated#e113#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Shock sensor activated#e113#true");
	
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Shock sensor activated#e113#true", "o2.z3");

				o2.z3(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Shock sensor activated#e113#true", "o2.z3");
		
	fireComeToState(context, path, "Shock sensor activated");
	
	// Shock sensor activated [o2.z13]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Shock sensor activated#e113#true", "o2.z13");

				o2.z13(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Shock sensor activated#e113#true", "o2.z13");
					return new StateMachineConfig("Shock sensor activated");

																				
														case e107:
																
						// Shock sensor activated->Alarm activated e107[true]/
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e107#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e107#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e107#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e107#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e107#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e107#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e202:
																
						// Shock sensor activated->Ready e202[true]/o4.z2,o4.z4,o2.z3
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Ready#e202#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Ready#e202#true");
	
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Ready#e202#true", "o4.z2");

				o4.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Ready#e202#true", "o4.z2");
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Ready#e202#true", "o4.z4");

				o4.z4(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Ready#e202#true", "o4.z4");
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Ready#e202#true", "o2.z3");

				o2.z3(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Ready#e202#true", "o2.z3");
		
	fireComeToState(context, path, "Ready");
	
	// Ready [o2.z10]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Ready#e202#true", "o2.z10");

				o2.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Ready#e202#true", "o2.z10");
					return new StateMachineConfig("Ready");

																				
														case e105:
																
						// Shock sensor activated->Alarm activated e105[true]/
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e105#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e105#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e105#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e105#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e105#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e105#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e111:
																
						// Shock sensor activated->Alarm activated e111[true]/o4.z1
			
			fireTransitionCandidate(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e111#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock sensor activated", event, "Shock sensor activated#Alarm activated#e111#true");
	
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e111#true", "o4.z1");

				o4.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e111#true", "o4.z1");
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e111#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e111#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e111#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Shock sensor activated#Alarm activated#e111#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Guard_normal:
						
											
												switch (e) {
													case e203:
																
						// Guard normal->Panic e203[true]/
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Panic#e203#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Panic#e203#true");
	
		
	fireComeToState(context, path, "Panic");
	
	// Panic [o2.z8, o2.z11]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Panic#e203#true", "o2.z8");

				o2.z8(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Panic#e203#true", "o2.z8");
				fireBeforeOutputActionExecution(context, path, "Guard normal#Panic#e203#true", "o2.z11");

				o2.z11(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Panic#e203#true", "o2.z11");
					return new StateMachineConfig("Panic");

																				
														case e109:
																
						// Guard normal->Alarm activated e109[true]/
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Alarm activated#e109#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Alarm activated#e109#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e109#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e109#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e109#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e109#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e201:
																
						// Guard normal->Guard normal e201[true]/o2.z5
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Guard normal#e201#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Guard normal#e201#true");
	
				fireBeforeOutputActionExecution(context, path, "Guard normal#Guard normal#e201#true", "o2.z5");

				o2.z5(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Guard normal#e201#true", "o2.z5");
		
	fireComeToState(context, path, "Guard normal");
	
	// Guard normal [o2.z9]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Guard normal#e201#true", "o2.z9");

				o2.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Guard normal#e201#true", "o2.z9");
					return new StateMachineConfig("Guard normal");

																				
														case e114:
																
						// Guard normal->Shock sensor activated e114[o4.x1 > 1]/o2.z6
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Shock sensor activated#e114#o4.x1 > 1");
			
																	if (!isInputActionCalculated(calculatedInputActions, _o4_x1)) {
	
		fireBeforeInputActionExecution(context, path, "Guard normal#Shock sensor activated#e114#o4.x1 > 1", "o4.x1");

					o4_x1 = o4.x1(context);

			fireAfterInputActionExecution(context, path, "Guard normal#Shock sensor activated#e114#o4.x1 > 1", "o4.x1", new Integer(o4_x1));
			}					
							
							
			
												if (o4_x1 > 1) {
				
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Shock sensor activated#e114#o4.x1 > 1");
	
				fireBeforeOutputActionExecution(context, path, "Guard normal#Shock sensor activated#e114#o4.x1 > 1", "o2.z6");

				o2.z6(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Shock sensor activated#e114#o4.x1 > 1", "o2.z6");
		
	fireComeToState(context, path, "Shock sensor activated");
	
	// Shock sensor activated [o2.z13]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Shock sensor activated#e114#o4.x1 > 1", "o2.z13");

				o2.z13(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Shock sensor activated#e114#o4.x1 > 1", "o2.z13");
					return new StateMachineConfig("Shock sensor activated");

									}
												// Guard normal->Guard normal e114[o4.x1 <= 1]/o2.z3
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Guard normal#e114#o4.x1 <= 1");
			
													
							
			
												if (o4_x1 <= 1) {
				
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Guard normal#e114#o4.x1 <= 1");
	
				fireBeforeOutputActionExecution(context, path, "Guard normal#Guard normal#e114#o4.x1 <= 1", "o2.z3");

				o2.z3(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Guard normal#e114#o4.x1 <= 1", "o2.z3");
		
	fireComeToState(context, path, "Guard normal");
	
	// Guard normal [o2.z9]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Guard normal#e114#o4.x1 <= 1", "o2.z9");

				o2.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Guard normal#e114#o4.x1 <= 1", "o2.z9");
					return new StateMachineConfig("Guard normal");

									}
																
										// transition not found
								return config;
																			case e101:
																
						// Guard normal->Alarm activated e101[true]/
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Alarm activated#e101#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Alarm activated#e101#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e101#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e101#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e101#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e101#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e103:
																
						// Guard normal->Alarm activated e103[true]/
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Alarm activated#e103#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Alarm activated#e103#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e103#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e103#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e103#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e103#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e113:
																
						// Guard normal->Shock sensor activated e113[o4.x1>2]/o2.z6
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Shock sensor activated#e113#o4.x1>2");
			
																	if (!isInputActionCalculated(calculatedInputActions, _o4_x1)) {
	
		fireBeforeInputActionExecution(context, path, "Guard normal#Shock sensor activated#e113#o4.x1>2", "o4.x1");

					o4_x1 = o4.x1(context);

			fireAfterInputActionExecution(context, path, "Guard normal#Shock sensor activated#e113#o4.x1>2", "o4.x1", new Integer(o4_x1));
			}					
							
							
			
												if (o4_x1 > 2) {
				
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Shock sensor activated#e113#o4.x1>2");
	
				fireBeforeOutputActionExecution(context, path, "Guard normal#Shock sensor activated#e113#o4.x1>2", "o2.z6");

				o2.z6(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Shock sensor activated#e113#o4.x1>2", "o2.z6");
		
	fireComeToState(context, path, "Shock sensor activated");
	
	// Shock sensor activated [o2.z13]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Shock sensor activated#e113#o4.x1>2", "o2.z13");

				o2.z13(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Shock sensor activated#e113#o4.x1>2", "o2.z13");
					return new StateMachineConfig("Shock sensor activated");

									}
												// Guard normal->Guard normal e113[o4.x1 == 2]/o2.z3
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Guard normal#e113#o4.x1 == 2");
			
													
							
			
												if (o4_x1 == 2) {
				
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Guard normal#e113#o4.x1 == 2");
	
				fireBeforeOutputActionExecution(context, path, "Guard normal#Guard normal#e113#o4.x1 == 2", "o2.z3");

				o2.z3(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Guard normal#e113#o4.x1 == 2", "o2.z3");
		
	fireComeToState(context, path, "Guard normal");
	
	// Guard normal [o2.z9]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Guard normal#e113#o4.x1 == 2", "o2.z9");

				o2.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Guard normal#e113#o4.x1 == 2", "o2.z9");
					return new StateMachineConfig("Guard normal");

									}
												// Guard normal->Guard normal e113[o4.x1 < 2]/
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Guard normal#e113#o4.x1 < 2");
			
													
							
			
												if (o4_x1 < 2) {
				
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Guard normal#e113#o4.x1 < 2");
	
		
	fireComeToState(context, path, "Guard normal");
	
	// Guard normal [o2.z9]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Guard normal#e113#o4.x1 < 2", "o2.z9");

				o2.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Guard normal#e113#o4.x1 < 2", "o2.z9");
					return new StateMachineConfig("Guard normal");

									}
																
										// transition not found
								return config;
																			case e107:
																
						// Guard normal->Alarm activated e107[true]/
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Alarm activated#e107#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Alarm activated#e107#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e107#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e107#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e107#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e107#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e202:
																
						// Guard normal->Ready e202[true]/o4.z2,o4.z4,o2.z2
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Ready#e202#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Ready#e202#true");
	
				fireBeforeOutputActionExecution(context, path, "Guard normal#Ready#e202#true", "o4.z2");

				o4.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Ready#e202#true", "o4.z2");
				fireBeforeOutputActionExecution(context, path, "Guard normal#Ready#e202#true", "o4.z4");

				o4.z4(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Ready#e202#true", "o4.z4");
				fireBeforeOutputActionExecution(context, path, "Guard normal#Ready#e202#true", "o2.z2");

				o2.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Ready#e202#true", "o2.z2");
		
	fireComeToState(context, path, "Ready");
	
	// Ready [o2.z10]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Ready#e202#true", "o2.z10");

				o2.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Ready#e202#true", "o2.z10");
					return new StateMachineConfig("Ready");

																				
														case e105:
																
						// Guard normal->Alarm activated e105[true]/
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Alarm activated#e105#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Alarm activated#e105#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e105#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e105#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e105#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e105#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e111:
																
						// Guard normal->Alarm activated e111[true]/o4.z1
			
			fireTransitionCandidate(context, path, "Guard normal", event, "Guard normal#Alarm activated#e111#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard normal", event, "Guard normal#Alarm activated#e111#true");
	
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e111#true", "o4.z1");

				o4.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e111#true", "o4.z1");
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e111#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e111#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Guard normal#Alarm activated#e111#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Guard normal#Alarm activated#e111#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Panic:
						
											
												switch (e) {
													case e201:
																
						// Panic->Guard normal e201[true]/o2.z1
			
			fireTransitionCandidate(context, path, "Panic", event, "Panic#Guard normal#e201#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Panic", event, "Panic#Guard normal#e201#true");
	
				fireBeforeOutputActionExecution(context, path, "Panic#Guard normal#e201#true", "o2.z1");

				o2.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Guard normal#e201#true", "o2.z1");
		
	fireComeToState(context, path, "Guard normal");
	
	// Guard normal [o2.z9]
				fireBeforeOutputActionExecution(context, path, "Panic#Guard normal#e201#true", "o2.z9");

				o2.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Guard normal#e201#true", "o2.z9");
					return new StateMachineConfig("Guard normal");

																				
														case e202:
																
						// Panic->Guard normal e202[true]/o2.z1
			
			fireTransitionCandidate(context, path, "Panic", event, "Panic#Guard normal#e202#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Panic", event, "Panic#Guard normal#e202#true");
	
				fireBeforeOutputActionExecution(context, path, "Panic#Guard normal#e202#true", "o2.z1");

				o2.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Guard normal#e202#true", "o2.z1");
		
	fireComeToState(context, path, "Guard normal");
	
	// Guard normal [o2.z9]
				fireBeforeOutputActionExecution(context, path, "Panic#Guard normal#e202#true", "o2.z9");

				o2.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Guard normal#e202#true", "o2.z9");
					return new StateMachineConfig("Guard normal");

																				
														case e111:
																
						// Panic->Panic e111[true]/o4.z1
			
			fireTransitionCandidate(context, path, "Panic", event, "Panic#Panic#e111#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Panic", event, "Panic#Panic#e111#true");
	
				fireBeforeOutputActionExecution(context, path, "Panic#Panic#e111#true", "o4.z1");

				o4.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Panic#e111#true", "o4.z1");
		
	fireComeToState(context, path, "Panic");
	
	// Panic [o2.z8, o2.z11]
				fireBeforeOutputActionExecution(context, path, "Panic#Panic#e111#true", "o2.z8");

				o2.z8(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Panic#e111#true", "o2.z8");
				fireBeforeOutputActionExecution(context, path, "Panic#Panic#e111#true", "o2.z11");

				o2.z11(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Panic#e111#true", "o2.z11");
					return new StateMachineConfig("Panic");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Alarm_activated:
						
											
												switch (e) {
													case e203:
																
						// Alarm activated->Panic e203[true]/
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Panic#e203#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Panic#e203#true");
	
		
	fireComeToState(context, path, "Panic");
	
	// Panic [o2.z8, o2.z11]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Panic#e203#true", "o2.z8");

				o2.z8(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Panic#e203#true", "o2.z8");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Panic#e203#true", "o2.z11");

				o2.z11(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Panic#e203#true", "o2.z11");
					return new StateMachineConfig("Panic");

																				
														case e109:
																
						// Alarm activated->Alarm activated e109[true]/
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e109#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e109#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e109#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e109#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e109#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e109#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e201:
																
						// Alarm activated->Guard normal e201[true]/o2.z1
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Guard normal#e201#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Guard normal#e201#true");
	
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Guard normal#e201#true", "o2.z1");

				o2.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Guard normal#e201#true", "o2.z1");
		
	fireComeToState(context, path, "Guard normal");
	
	// Guard normal [o2.z9]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Guard normal#e201#true", "o2.z9");

				o2.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Guard normal#e201#true", "o2.z9");
					return new StateMachineConfig("Guard normal");

																				
														case e114:
																
						// Alarm activated->Alarm activated e114[true]/
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e114#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e114#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e114#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e114#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e114#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e114#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e101:
																
						// Alarm activated->Alarm activated e101[true]/
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e101#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e101#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e101#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e101#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e101#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e101#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e103:
																
						// Alarm activated->Alarm activated e103[true]/
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e103#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e103#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e103#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e103#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e103#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e103#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e107:
																
						// Alarm activated->Alarm activated e107[true]/
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e107#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e107#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e107#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e107#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e107#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e107#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e113:
																
						// Alarm activated->Alarm activated e113[true]/
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e113#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e113#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e113#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e113#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e113#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e113#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e202:
																
						// Alarm activated->Ready e202[true]/o4.z2,o4.z4,o2.z4
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Ready#e202#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Ready#e202#true");
	
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Ready#e202#true", "o4.z2");

				o4.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Ready#e202#true", "o4.z2");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Ready#e202#true", "o4.z4");

				o4.z4(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Ready#e202#true", "o4.z4");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Ready#e202#true", "o2.z4");

				o2.z4(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Ready#e202#true", "o2.z4");
		
	fireComeToState(context, path, "Ready");
	
	// Ready [o2.z10]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Ready#e202#true", "o2.z10");

				o2.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Ready#e202#true", "o2.z10");
					return new StateMachineConfig("Ready");

																				
														case e105:
																
						// Alarm activated->Alarm activated e105[true]/
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e105#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e105#true");
	
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e105#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e105#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e105#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e105#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
														case e111:
																
						// Alarm activated->Alarm activated e111[true]/o4.z1
			
			fireTransitionCandidate(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e111#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm activated", event, "Alarm activated#Alarm activated#e111#true");
	
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e111#true", "o4.z1");

				o4.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e111#true", "o4.z1");
		
	fireComeToState(context, path, "Alarm activated");
	
	// Alarm activated [o2.z7, o2.z12]
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e111#true", "o2.z7");

				o2.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e111#true", "o2.z7");
				fireBeforeOutputActionExecution(context, path, "Alarm activated#Alarm activated#e111#true", "o2.z12");

				o2.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm activated#Alarm activated#e111#true", "o2.z12");
					return new StateMachineConfig("Alarm activated");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																	default:
					throw new EventProcessorException("Incorrect stable state [" + config.getActiveState() + "] in state machine [A2System]");
			}
		}
	}

				//o4.x1
				private static final int _o4_x1 = 0;
			//o1.x1
				private static final int _o1_x1 = 1;
	        
}
			







private class A3RemoteEventProcessor {

		// states
	    private static final int Top = 1;
	    private static final int Silent_mode_on = 2;
	    private static final int Silent_mode_off = 3;
	    private static final int Exit_silent_mode = 4;
	    private static final int Shock_1 = 5;
	    private static final int Shock_2 = 6;
	    private static final int Shock_3 = 7;
	    private static final int Exit_shock = 8;
	    private static final int Menu_silent_mode = 9;
	    private static final int Menu_shock = 10;
	    private static final int Exit_menu = 11;
	    private static final int s2 = 12;
	    private static final int Normal = 13;
	    private static final int Alarm = 14;
	    private static final int Guard = 15;
	    private static final int Shocked = 16;
	    private static final int Panic = 17;
	
	private int decodeState(String state) {
					
		if ("Top".equals(state)) {
			return Top;
						} else 
				
		if ("Silent mode on".equals(state)) {
			return Silent_mode_on;
						} else 
				
		if ("Silent mode off".equals(state)) {
			return Silent_mode_off;
						} else 
				
		if ("Exit silent mode".equals(state)) {
			return Exit_silent_mode;
						} else 
				
		if ("Shock 1".equals(state)) {
			return Shock_1;
						} else 
				
		if ("Shock 2".equals(state)) {
			return Shock_2;
						} else 
				
		if ("Shock 3".equals(state)) {
			return Shock_3;
						} else 
				
		if ("Exit shock".equals(state)) {
			return Exit_shock;
						} else 
				
		if ("Menu silent mode".equals(state)) {
			return Menu_silent_mode;
						} else 
				
		if ("Menu shock".equals(state)) {
			return Menu_shock;
						} else 
				
		if ("Exit menu".equals(state)) {
			return Exit_menu;
						} else 
				
		if ("s2".equals(state)) {
			return s2;
						} else 
				
		if ("Normal".equals(state)) {
			return Normal;
						} else 
				
		if ("Alarm".equals(state)) {
			return Alarm;
						} else 
				
		if ("Guard".equals(state)) {
			return Guard;
						} else 
				
		if ("Shocked".equals(state)) {
			return Shocked;
						} else 
				
		if ("Panic".equals(state)) {
			return Panic;
			}
		
		return -1;
	}
	
		// events
	    private static final int e301 = 1;
	    private static final int e404 = 2;
	    private static final int e401 = 3;
	    private static final int e302 = 4;
	    private static final int e403 = 5;
	    private static final int e303 = 6;
	    private static final int e405 = 7;
	    private static final int e402 = 8;
	
	private int decodeEvent(String event) {
					
		if ("e301".equals(event)) {
			return e301;
						} else 
				
		if ("e404".equals(event)) {
			return e404;
						} else 
				
		if ("e401".equals(event)) {
			return e401;
						} else 
				
		if ("e302".equals(event)) {
			return e302;
						} else 
				
		if ("e403".equals(event)) {
			return e403;
						} else 
				
		if ("e303".equals(event)) {
			return e303;
						} else 
				
		if ("e405".equals(event)) {
			return e405;
						} else 
				
		if ("e402".equals(event)) {
			return e402;
				}
	
		return -1;
	}
		
							private remote.RemoteCO o3;
				
	private void init(ControlledObjectsMap controlledObjectsMap) {
									o3 = (remote.RemoteCO)controlledObjectsMap.getControlledObject("o3");
						}
		
	private StateMachineConfig process(Event event, StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {
		config = lookForTransition(event, context, path, config);
		
		config = transiteToStableState(context, path, config);
		
		// execute included state machines
		executeSubmachines(event, context, path, config);
		
		return config;
	}
	
	private void executeSubmachines(Event event, StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {
		int state = decodeState(config.getActiveState());
		
		while (true) {
		switch (state) {
																			case Silent_mode_on: 
					
											return;
																					case Silent_mode_off: 
					
											return;
																					case Exit_silent_mode: 
					
											return;
																					case Shock_1: 
					
											return;
																					case Shock_2: 
					
											return;
																					case Shock_3: 
					
											return;
																					case Exit_shock: 
					
											return;
																					case Menu_silent_mode: 
					
											return;
																					case Menu_shock: 
					
											return;
																					case Exit_menu: 
					
											return;
																					case s2: 
					
											return;
																					case Normal: 
					
											return;
																					case Alarm: 
					
											return;
																					case Guard: 
					
											return;
																					case Shocked: 
					
											return;
																					case Panic: 
					
											return;
																default:
					throw new EventProcessorException("State with name [" + config.getActiveState() + "] is unknown for state machine [A3Remote]");
		}
		}
	}
	
	private StateMachineConfig transiteToStableState(StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {

		int s = decodeState(config.getActiveState());
		Event event;

		switch (s) {
									case Top:
					
										
					fireComeToState(context, path, "s2");

					// s2->Normal [true]/
					event = Event.NO_EVENT;
						fireTransitionFound(context, path, "s2", event, "s2#Normal##true");
	
		
	fireComeToState(context, path, "Normal");
	
	// Normal [o3.z27, o3.z25, o3.z9]
				fireBeforeOutputActionExecution(context, path, "s2#Normal##true", "o3.z27");

				o3.z27(context);
		
	fireAfterOutputActionExecution(context, path, "s2#Normal##true", "o3.z27");
				fireBeforeOutputActionExecution(context, path, "s2#Normal##true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "s2#Normal##true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "s2#Normal##true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "s2#Normal##true", "o3.z9");
						
											return new StateMachineConfig("Normal");
																																																																																												}
	
		return config;
	}    
	
	private StateMachineConfig lookForTransition(Event event, StateMachineContext context, StateMachinePath path, StateMachineConfig config) throws Exception {
					
		
			boolean
								
			o3_x1 = false
				;
				
		
	
				BitSet calculatedInputActions = new BitSet(1);
		
		int s = decodeState(config.getActiveState());
		int e = decodeEvent(event.getName());
	
		while (true) {
			switch (s) {
																			case Silent_mode_on:
						
											
												switch (e) {
													case e301:
																
						// Silent mode on->Silent mode off e301[true]/
			
			fireTransitionCandidate(context, path, "Silent mode on", event, "Silent mode on#Silent mode off#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Silent mode on", event, "Silent mode on#Silent mode off#e301#true");
	
		
	fireComeToState(context, path, "Silent mode off");
	
	// Silent mode off [o3.z17]
				fireBeforeOutputActionExecution(context, path, "Silent mode on#Silent mode off#e301#true", "o3.z17");

				o3.z17(context);
		
	fireAfterOutputActionExecution(context, path, "Silent mode on#Silent mode off#e301#true", "o3.z17");
					return new StateMachineConfig("Silent mode off");

																				
														case e302:
																
						// Silent mode on->Exit silent mode e302[true]/
			
			fireTransitionCandidate(context, path, "Silent mode on", event, "Silent mode on#Exit silent mode#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Silent mode on", event, "Silent mode on#Exit silent mode#e302#true");
	
		
	fireComeToState(context, path, "Exit silent mode");
	
	// Exit silent mode [o3.z21]
				fireBeforeOutputActionExecution(context, path, "Silent mode on#Exit silent mode#e302#true", "o3.z21");

				o3.z21(context);
		
	fireAfterOutputActionExecution(context, path, "Silent mode on#Exit silent mode#e302#true", "o3.z21");
					return new StateMachineConfig("Exit silent mode");

																				
														case e303:
																
						// Silent mode on->Silent mode on e303[true]/o3.z28,o3.z4
			
			fireTransitionCandidate(context, path, "Silent mode on", event, "Silent mode on#Silent mode on#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Silent mode on", event, "Silent mode on#Silent mode on#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Silent mode on#Silent mode on#e303#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Silent mode on#Silent mode on#e303#true", "o3.z28");
				fireBeforeOutputActionExecution(context, path, "Silent mode on#Silent mode on#e303#true", "o3.z4");

				o3.z4(context);
		
	fireAfterOutputActionExecution(context, path, "Silent mode on#Silent mode on#e303#true", "o3.z4");
		
	fireComeToState(context, path, "Silent mode on");
	
	// Silent mode on [o3.z16]
				fireBeforeOutputActionExecution(context, path, "Silent mode on#Silent mode on#e303#true", "o3.z16");

				o3.z16(context);
		
	fireAfterOutputActionExecution(context, path, "Silent mode on#Silent mode on#e303#true", "o3.z16");
					return new StateMachineConfig("Silent mode on");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Silent_mode_off:
						
											
												switch (e) {
													case e301:
																
						// Silent mode off->Exit silent mode e301[true]/
			
			fireTransitionCandidate(context, path, "Silent mode off", event, "Silent mode off#Exit silent mode#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Silent mode off", event, "Silent mode off#Exit silent mode#e301#true");
	
		
	fireComeToState(context, path, "Exit silent mode");
	
	// Exit silent mode [o3.z21]
				fireBeforeOutputActionExecution(context, path, "Silent mode off#Exit silent mode#e301#true", "o3.z21");

				o3.z21(context);
		
	fireAfterOutputActionExecution(context, path, "Silent mode off#Exit silent mode#e301#true", "o3.z21");
					return new StateMachineConfig("Exit silent mode");

																				
														case e302:
																
						// Silent mode off->Silent mode on e302[true]/
			
			fireTransitionCandidate(context, path, "Silent mode off", event, "Silent mode off#Silent mode on#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Silent mode off", event, "Silent mode off#Silent mode on#e302#true");
	
		
	fireComeToState(context, path, "Silent mode on");
	
	// Silent mode on [o3.z16]
				fireBeforeOutputActionExecution(context, path, "Silent mode off#Silent mode on#e302#true", "o3.z16");

				o3.z16(context);
		
	fireAfterOutputActionExecution(context, path, "Silent mode off#Silent mode on#e302#true", "o3.z16");
					return new StateMachineConfig("Silent mode on");

																				
														case e303:
																
						// Silent mode off->Silent mode off e303[true]/o3.z5,o3.z28
			
			fireTransitionCandidate(context, path, "Silent mode off", event, "Silent mode off#Silent mode off#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Silent mode off", event, "Silent mode off#Silent mode off#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Silent mode off#Silent mode off#e303#true", "o3.z5");

				o3.z5(context);
		
	fireAfterOutputActionExecution(context, path, "Silent mode off#Silent mode off#e303#true", "o3.z5");
				fireBeforeOutputActionExecution(context, path, "Silent mode off#Silent mode off#e303#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Silent mode off#Silent mode off#e303#true", "o3.z28");
		
	fireComeToState(context, path, "Silent mode off");
	
	// Silent mode off [o3.z17]
				fireBeforeOutputActionExecution(context, path, "Silent mode off#Silent mode off#e303#true", "o3.z17");

				o3.z17(context);
		
	fireAfterOutputActionExecution(context, path, "Silent mode off#Silent mode off#e303#true", "o3.z17");
					return new StateMachineConfig("Silent mode off");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Exit_silent_mode:
						
											
												switch (e) {
													case e301:
																
						// Exit silent mode->Silent mode on e301[true]/
			
			fireTransitionCandidate(context, path, "Exit silent mode", event, "Exit silent mode#Silent mode on#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Exit silent mode", event, "Exit silent mode#Silent mode on#e301#true");
	
		
	fireComeToState(context, path, "Silent mode on");
	
	// Silent mode on [o3.z16]
				fireBeforeOutputActionExecution(context, path, "Exit silent mode#Silent mode on#e301#true", "o3.z16");

				o3.z16(context);
		
	fireAfterOutputActionExecution(context, path, "Exit silent mode#Silent mode on#e301#true", "o3.z16");
					return new StateMachineConfig("Silent mode on");

																				
														case e302:
																
						// Exit silent mode->Silent mode off e302[true]/
			
			fireTransitionCandidate(context, path, "Exit silent mode", event, "Exit silent mode#Silent mode off#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Exit silent mode", event, "Exit silent mode#Silent mode off#e302#true");
	
		
	fireComeToState(context, path, "Silent mode off");
	
	// Silent mode off [o3.z17]
				fireBeforeOutputActionExecution(context, path, "Exit silent mode#Silent mode off#e302#true", "o3.z17");

				o3.z17(context);
		
	fireAfterOutputActionExecution(context, path, "Exit silent mode#Silent mode off#e302#true", "o3.z17");
					return new StateMachineConfig("Silent mode off");

																				
														case e303:
																
						// Exit silent mode->Menu silent mode e303[true]/o3.z11
			
			fireTransitionCandidate(context, path, "Exit silent mode", event, "Exit silent mode#Menu silent mode#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Exit silent mode", event, "Exit silent mode#Menu silent mode#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Exit silent mode#Menu silent mode#e303#true", "o3.z11");

				o3.z11(context);
		
	fireAfterOutputActionExecution(context, path, "Exit silent mode#Menu silent mode#e303#true", "o3.z11");
		
	fireComeToState(context, path, "Menu silent mode");
	
	// Menu silent mode [o3.z14]
				fireBeforeOutputActionExecution(context, path, "Exit silent mode#Menu silent mode#e303#true", "o3.z14");

				o3.z14(context);
		
	fireAfterOutputActionExecution(context, path, "Exit silent mode#Menu silent mode#e303#true", "o3.z14");
					return new StateMachineConfig("Menu silent mode");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Shock_1:
						
											
												switch (e) {
													case e301:
																
						// Shock 1->Shock 2 e301[true]/
			
			fireTransitionCandidate(context, path, "Shock 1", event, "Shock 1#Shock 2#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock 1", event, "Shock 1#Shock 2#e301#true");
	
		
	fireComeToState(context, path, "Shock 2");
	
	// Shock 2 [o3.z19]
				fireBeforeOutputActionExecution(context, path, "Shock 1#Shock 2#e301#true", "o3.z19");

				o3.z19(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 1#Shock 2#e301#true", "o3.z19");
					return new StateMachineConfig("Shock 2");

																				
														case e302:
																
						// Shock 1->Exit shock e302[true]/
			
			fireTransitionCandidate(context, path, "Shock 1", event, "Shock 1#Exit shock#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock 1", event, "Shock 1#Exit shock#e302#true");
	
		
	fireComeToState(context, path, "Exit shock");
	
	// Exit shock [o3.z21]
				fireBeforeOutputActionExecution(context, path, "Shock 1#Exit shock#e302#true", "o3.z21");

				o3.z21(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 1#Exit shock#e302#true", "o3.z21");
					return new StateMachineConfig("Exit shock");

																				
														case e303:
																
						// Shock 1->Shock 1 e303[true]/o3.z6,o3.z28
			
			fireTransitionCandidate(context, path, "Shock 1", event, "Shock 1#Shock 1#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock 1", event, "Shock 1#Shock 1#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Shock 1#Shock 1#e303#true", "o3.z6");

				o3.z6(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 1#Shock 1#e303#true", "o3.z6");
				fireBeforeOutputActionExecution(context, path, "Shock 1#Shock 1#e303#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 1#Shock 1#e303#true", "o3.z28");
		
	fireComeToState(context, path, "Shock 1");
	
	// Shock 1 [o3.z18]
				fireBeforeOutputActionExecution(context, path, "Shock 1#Shock 1#e303#true", "o3.z18");

				o3.z18(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 1#Shock 1#e303#true", "o3.z18");
					return new StateMachineConfig("Shock 1");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Shock_2:
						
											
												switch (e) {
													case e301:
																
						// Shock 2->Shock 3 e301[true]/
			
			fireTransitionCandidate(context, path, "Shock 2", event, "Shock 2#Shock 3#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock 2", event, "Shock 2#Shock 3#e301#true");
	
		
	fireComeToState(context, path, "Shock 3");
	
	// Shock 3 [o3.z20]
				fireBeforeOutputActionExecution(context, path, "Shock 2#Shock 3#e301#true", "o3.z20");

				o3.z20(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 2#Shock 3#e301#true", "o3.z20");
					return new StateMachineConfig("Shock 3");

																				
														case e302:
																
						// Shock 2->Shock 1 e302[true]/
			
			fireTransitionCandidate(context, path, "Shock 2", event, "Shock 2#Shock 1#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock 2", event, "Shock 2#Shock 1#e302#true");
	
		
	fireComeToState(context, path, "Shock 1");
	
	// Shock 1 [o3.z18]
				fireBeforeOutputActionExecution(context, path, "Shock 2#Shock 1#e302#true", "o3.z18");

				o3.z18(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 2#Shock 1#e302#true", "o3.z18");
					return new StateMachineConfig("Shock 1");

																				
														case e303:
																
						// Shock 2->Shock 2 e303[true]/o3.z7,o3.z28
			
			fireTransitionCandidate(context, path, "Shock 2", event, "Shock 2#Shock 2#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock 2", event, "Shock 2#Shock 2#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Shock 2#Shock 2#e303#true", "o3.z7");

				o3.z7(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 2#Shock 2#e303#true", "o3.z7");
				fireBeforeOutputActionExecution(context, path, "Shock 2#Shock 2#e303#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 2#Shock 2#e303#true", "o3.z28");
		
	fireComeToState(context, path, "Shock 2");
	
	// Shock 2 [o3.z19]
				fireBeforeOutputActionExecution(context, path, "Shock 2#Shock 2#e303#true", "o3.z19");

				o3.z19(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 2#Shock 2#e303#true", "o3.z19");
					return new StateMachineConfig("Shock 2");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Shock_3:
						
											
												switch (e) {
													case e301:
																
						// Shock 3->Exit shock e301[true]/
			
			fireTransitionCandidate(context, path, "Shock 3", event, "Shock 3#Exit shock#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock 3", event, "Shock 3#Exit shock#e301#true");
	
		
	fireComeToState(context, path, "Exit shock");
	
	// Exit shock [o3.z21]
				fireBeforeOutputActionExecution(context, path, "Shock 3#Exit shock#e301#true", "o3.z21");

				o3.z21(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 3#Exit shock#e301#true", "o3.z21");
					return new StateMachineConfig("Exit shock");

																				
														case e302:
																
						// Shock 3->Shock 2 e302[true]/
			
			fireTransitionCandidate(context, path, "Shock 3", event, "Shock 3#Shock 2#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock 3", event, "Shock 3#Shock 2#e302#true");
	
		
	fireComeToState(context, path, "Shock 2");
	
	// Shock 2 [o3.z19]
				fireBeforeOutputActionExecution(context, path, "Shock 3#Shock 2#e302#true", "o3.z19");

				o3.z19(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 3#Shock 2#e302#true", "o3.z19");
					return new StateMachineConfig("Shock 2");

																				
														case e303:
																
						// Shock 3->Shock 3 e303[true]/o3.z8,o3.z28
			
			fireTransitionCandidate(context, path, "Shock 3", event, "Shock 3#Shock 3#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shock 3", event, "Shock 3#Shock 3#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Shock 3#Shock 3#e303#true", "o3.z8");

				o3.z8(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 3#Shock 3#e303#true", "o3.z8");
				fireBeforeOutputActionExecution(context, path, "Shock 3#Shock 3#e303#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 3#Shock 3#e303#true", "o3.z28");
		
	fireComeToState(context, path, "Shock 3");
	
	// Shock 3 [o3.z20]
				fireBeforeOutputActionExecution(context, path, "Shock 3#Shock 3#e303#true", "o3.z20");

				o3.z20(context);
		
	fireAfterOutputActionExecution(context, path, "Shock 3#Shock 3#e303#true", "o3.z20");
					return new StateMachineConfig("Shock 3");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Exit_shock:
						
											
												switch (e) {
													case e301:
																
						// Exit shock->Shock 1 e301[true]/
			
			fireTransitionCandidate(context, path, "Exit shock", event, "Exit shock#Shock 1#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Exit shock", event, "Exit shock#Shock 1#e301#true");
	
		
	fireComeToState(context, path, "Shock 1");
	
	// Shock 1 [o3.z18]
				fireBeforeOutputActionExecution(context, path, "Exit shock#Shock 1#e301#true", "o3.z18");

				o3.z18(context);
		
	fireAfterOutputActionExecution(context, path, "Exit shock#Shock 1#e301#true", "o3.z18");
					return new StateMachineConfig("Shock 1");

																				
														case e302:
																
						// Exit shock->Shock 3 e302[true]/
			
			fireTransitionCandidate(context, path, "Exit shock", event, "Exit shock#Shock 3#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Exit shock", event, "Exit shock#Shock 3#e302#true");
	
		
	fireComeToState(context, path, "Shock 3");
	
	// Shock 3 [o3.z20]
				fireBeforeOutputActionExecution(context, path, "Exit shock#Shock 3#e302#true", "o3.z20");

				o3.z20(context);
		
	fireAfterOutputActionExecution(context, path, "Exit shock#Shock 3#e302#true", "o3.z20");
					return new StateMachineConfig("Shock 3");

																				
														case e303:
																
						// Exit shock->Menu shock e303[true]/o3.z11
			
			fireTransitionCandidate(context, path, "Exit shock", event, "Exit shock#Menu shock#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Exit shock", event, "Exit shock#Menu shock#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Exit shock#Menu shock#e303#true", "o3.z11");

				o3.z11(context);
		
	fireAfterOutputActionExecution(context, path, "Exit shock#Menu shock#e303#true", "o3.z11");
		
	fireComeToState(context, path, "Menu shock");
	
	// Menu shock [o3.z15]
				fireBeforeOutputActionExecution(context, path, "Exit shock#Menu shock#e303#true", "o3.z15");

				o3.z15(context);
		
	fireAfterOutputActionExecution(context, path, "Exit shock#Menu shock#e303#true", "o3.z15");
					return new StateMachineConfig("Menu shock");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Menu_silent_mode:
						
											
												switch (e) {
													case e301:
																
						// Menu silent mode->Menu shock e301[true]/
			
			fireTransitionCandidate(context, path, "Menu silent mode", event, "Menu silent mode#Menu shock#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Menu silent mode", event, "Menu silent mode#Menu shock#e301#true");
	
		
	fireComeToState(context, path, "Menu shock");
	
	// Menu shock [o3.z15]
				fireBeforeOutputActionExecution(context, path, "Menu silent mode#Menu shock#e301#true", "o3.z15");

				o3.z15(context);
		
	fireAfterOutputActionExecution(context, path, "Menu silent mode#Menu shock#e301#true", "o3.z15");
					return new StateMachineConfig("Menu shock");

																				
														case e302:
																
						// Menu silent mode->Exit menu e302[true]/
			
			fireTransitionCandidate(context, path, "Menu silent mode", event, "Menu silent mode#Exit menu#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Menu silent mode", event, "Menu silent mode#Exit menu#e302#true");
	
		
	fireComeToState(context, path, "Exit menu");
	
	// Exit menu [o3.z21]
				fireBeforeOutputActionExecution(context, path, "Menu silent mode#Exit menu#e302#true", "o3.z21");

				o3.z21(context);
		
	fireAfterOutputActionExecution(context, path, "Menu silent mode#Exit menu#e302#true", "o3.z21");
					return new StateMachineConfig("Exit menu");

																				
														case e303:
																
						// Menu silent mode->Silent mode on e303[!o3.x1]/o3.z12
			
			fireTransitionCandidate(context, path, "Menu silent mode", event, "Menu silent mode#Silent mode on#e303#!o3.x1");
			
																	if (!isInputActionCalculated(calculatedInputActions, _o3_x1)) {
	
		fireBeforeInputActionExecution(context, path, "Menu silent mode#Silent mode on#e303#!o3.x1", "o3.x1");

					o3_x1 = o3.x1(context);
		
			fireAfterInputActionExecution(context, path, "Menu silent mode#Silent mode on#e303#!o3.x1", "o3.x1", new Boolean(o3_x1));
			}					
							
							
			
												if (!o3_x1) {
				
					fireTransitionFound(context, path, "Menu silent mode", event, "Menu silent mode#Silent mode on#e303#!o3.x1");
	
				fireBeforeOutputActionExecution(context, path, "Menu silent mode#Silent mode on#e303#!o3.x1", "o3.z12");

				o3.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Menu silent mode#Silent mode on#e303#!o3.x1", "o3.z12");
		
	fireComeToState(context, path, "Silent mode on");
	
	// Silent mode on [o3.z16]
				fireBeforeOutputActionExecution(context, path, "Menu silent mode#Silent mode on#e303#!o3.x1", "o3.z16");

				o3.z16(context);
		
	fireAfterOutputActionExecution(context, path, "Menu silent mode#Silent mode on#e303#!o3.x1", "o3.z16");
					return new StateMachineConfig("Silent mode on");

									}
												// Menu silent mode->Silent mode off e303[o3.x1]/o3.z12
			
			fireTransitionCandidate(context, path, "Menu silent mode", event, "Menu silent mode#Silent mode off#e303#o3.x1");
			
													
							
			
												if (o3_x1) {
				
					fireTransitionFound(context, path, "Menu silent mode", event, "Menu silent mode#Silent mode off#e303#o3.x1");
	
				fireBeforeOutputActionExecution(context, path, "Menu silent mode#Silent mode off#e303#o3.x1", "o3.z12");

				o3.z12(context);
		
	fireAfterOutputActionExecution(context, path, "Menu silent mode#Silent mode off#e303#o3.x1", "o3.z12");
		
	fireComeToState(context, path, "Silent mode off");
	
	// Silent mode off [o3.z17]
				fireBeforeOutputActionExecution(context, path, "Menu silent mode#Silent mode off#e303#o3.x1", "o3.z17");

				o3.z17(context);
		
	fireAfterOutputActionExecution(context, path, "Menu silent mode#Silent mode off#e303#o3.x1", "o3.z17");
					return new StateMachineConfig("Silent mode off");

									}
																
										// transition not found
								return config;
																		default:
														
							
										// transition not found
								return config;
												}
						
																						case Menu_shock:
						
											
												switch (e) {
													case e301:
																
						// Menu shock->Exit menu e301[true]/
			
			fireTransitionCandidate(context, path, "Menu shock", event, "Menu shock#Exit menu#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Menu shock", event, "Menu shock#Exit menu#e301#true");
	
		
	fireComeToState(context, path, "Exit menu");
	
	// Exit menu [o3.z21]
				fireBeforeOutputActionExecution(context, path, "Menu shock#Exit menu#e301#true", "o3.z21");

				o3.z21(context);
		
	fireAfterOutputActionExecution(context, path, "Menu shock#Exit menu#e301#true", "o3.z21");
					return new StateMachineConfig("Exit menu");

																				
														case e302:
																
						// Menu shock->Menu silent mode e302[true]/
			
			fireTransitionCandidate(context, path, "Menu shock", event, "Menu shock#Menu silent mode#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Menu shock", event, "Menu shock#Menu silent mode#e302#true");
	
		
	fireComeToState(context, path, "Menu silent mode");
	
	// Menu silent mode [o3.z14]
				fireBeforeOutputActionExecution(context, path, "Menu shock#Menu silent mode#e302#true", "o3.z14");

				o3.z14(context);
		
	fireAfterOutputActionExecution(context, path, "Menu shock#Menu silent mode#e302#true", "o3.z14");
					return new StateMachineConfig("Menu silent mode");

																				
														case e303:
																
						// Menu shock->Shock 1 e303[true]/o3.z13
			
			fireTransitionCandidate(context, path, "Menu shock", event, "Menu shock#Shock 1#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Menu shock", event, "Menu shock#Shock 1#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Menu shock#Shock 1#e303#true", "o3.z13");

				o3.z13(context);
		
	fireAfterOutputActionExecution(context, path, "Menu shock#Shock 1#e303#true", "o3.z13");
		
	fireComeToState(context, path, "Shock 1");
	
	// Shock 1 [o3.z18]
				fireBeforeOutputActionExecution(context, path, "Menu shock#Shock 1#e303#true", "o3.z18");

				o3.z18(context);
		
	fireAfterOutputActionExecution(context, path, "Menu shock#Shock 1#e303#true", "o3.z18");
					return new StateMachineConfig("Shock 1");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Exit_menu:
						
											
												switch (e) {
													case e301:
																
						// Exit menu->Menu silent mode e301[true]/
			
			fireTransitionCandidate(context, path, "Exit menu", event, "Exit menu#Menu silent mode#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Exit menu", event, "Exit menu#Menu silent mode#e301#true");
	
		
	fireComeToState(context, path, "Menu silent mode");
	
	// Menu silent mode [o3.z14]
				fireBeforeOutputActionExecution(context, path, "Exit menu#Menu silent mode#e301#true", "o3.z14");

				o3.z14(context);
		
	fireAfterOutputActionExecution(context, path, "Exit menu#Menu silent mode#e301#true", "o3.z14");
					return new StateMachineConfig("Menu silent mode");

																				
														case e302:
																
						// Exit menu->Menu shock e302[true]/
			
			fireTransitionCandidate(context, path, "Exit menu", event, "Exit menu#Menu shock#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Exit menu", event, "Exit menu#Menu shock#e302#true");
	
		
	fireComeToState(context, path, "Menu shock");
	
	// Menu shock [o3.z15]
				fireBeforeOutputActionExecution(context, path, "Exit menu#Menu shock#e302#true", "o3.z15");

				o3.z15(context);
		
	fireAfterOutputActionExecution(context, path, "Exit menu#Menu shock#e302#true", "o3.z15");
					return new StateMachineConfig("Menu shock");

																				
														case e303:
																
						// Exit menu->Normal e303[true]/o3.z23
			
			fireTransitionCandidate(context, path, "Exit menu", event, "Exit menu#Normal#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Exit menu", event, "Exit menu#Normal#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Exit menu#Normal#e303#true", "o3.z23");

				o3.z23(context);
		
	fireAfterOutputActionExecution(context, path, "Exit menu#Normal#e303#true", "o3.z23");
		
	fireComeToState(context, path, "Normal");
	
	// Normal [o3.z27, o3.z25, o3.z9]
				fireBeforeOutputActionExecution(context, path, "Exit menu#Normal#e303#true", "o3.z27");

				o3.z27(context);
		
	fireAfterOutputActionExecution(context, path, "Exit menu#Normal#e303#true", "o3.z27");
				fireBeforeOutputActionExecution(context, path, "Exit menu#Normal#e303#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Exit menu#Normal#e303#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Exit menu#Normal#e303#true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Exit menu#Normal#e303#true", "o3.z9");
					return new StateMachineConfig("Normal");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																													case Normal:
						
											
												switch (e) {
													case e301:
																
						// Normal->Normal e301[true]/o3.z1
			
			fireTransitionCandidate(context, path, "Normal", event, "Normal#Normal#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Normal", event, "Normal#Normal#e301#true");
	
				fireBeforeOutputActionExecution(context, path, "Normal#Normal#e301#true", "o3.z1");

				o3.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Normal#e301#true", "o3.z1");
		
	fireComeToState(context, path, "Normal");
	
	// Normal [o3.z27, o3.z25, o3.z9]
				fireBeforeOutputActionExecution(context, path, "Normal#Normal#e301#true", "o3.z27");

				o3.z27(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Normal#e301#true", "o3.z27");
				fireBeforeOutputActionExecution(context, path, "Normal#Normal#e301#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Normal#e301#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Normal#Normal#e301#true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Normal#e301#true", "o3.z9");
					return new StateMachineConfig("Normal");

																				
														case e401:
																
						// Normal->Guard e401[true]/
			
			fireTransitionCandidate(context, path, "Normal", event, "Normal#Guard#e401#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Normal", event, "Normal#Guard#e401#true");
	
		
	fireComeToState(context, path, "Guard");
	
	// Guard [o3.z10, o3.z25, o3.z26]
				fireBeforeOutputActionExecution(context, path, "Normal#Guard#e401#true", "o3.z10");

				o3.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Guard#e401#true", "o3.z10");
				fireBeforeOutputActionExecution(context, path, "Normal#Guard#e401#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Guard#e401#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Normal#Guard#e401#true", "o3.z26");

				o3.z26(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Guard#e401#true", "o3.z26");
					return new StateMachineConfig("Guard");

																				
														case e302:
																
						// Normal->Normal e302[true]/o3.z2
			
			fireTransitionCandidate(context, path, "Normal", event, "Normal#Normal#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Normal", event, "Normal#Normal#e302#true");
	
				fireBeforeOutputActionExecution(context, path, "Normal#Normal#e302#true", "o3.z2");

				o3.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Normal#e302#true", "o3.z2");
		
	fireComeToState(context, path, "Normal");
	
	// Normal [o3.z27, o3.z25, o3.z9]
				fireBeforeOutputActionExecution(context, path, "Normal#Normal#e302#true", "o3.z27");

				o3.z27(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Normal#e302#true", "o3.z27");
				fireBeforeOutputActionExecution(context, path, "Normal#Normal#e302#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Normal#e302#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Normal#Normal#e302#true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Normal#e302#true", "o3.z9");
					return new StateMachineConfig("Normal");

																				
														case e303:
																
						// Normal->Menu silent mode e303[true]/o3.z22,o3.z11
			
			fireTransitionCandidate(context, path, "Normal", event, "Normal#Menu silent mode#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Normal", event, "Normal#Menu silent mode#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Normal#Menu silent mode#e303#true", "o3.z22");

				o3.z22(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Menu silent mode#e303#true", "o3.z22");
				fireBeforeOutputActionExecution(context, path, "Normal#Menu silent mode#e303#true", "o3.z11");

				o3.z11(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Menu silent mode#e303#true", "o3.z11");
		
	fireComeToState(context, path, "Menu silent mode");
	
	// Menu silent mode [o3.z14]
				fireBeforeOutputActionExecution(context, path, "Normal#Menu silent mode#e303#true", "o3.z14");

				o3.z14(context);
		
	fireAfterOutputActionExecution(context, path, "Normal#Menu silent mode#e303#true", "o3.z14");
					return new StateMachineConfig("Menu silent mode");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Alarm:
						
											
												switch (e) {
													case e301:
																
						// Alarm->Alarm e301[true]/o3.z1
			
			fireTransitionCandidate(context, path, "Alarm", event, "Alarm#Alarm#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm", event, "Alarm#Alarm#e301#true");
	
				fireBeforeOutputActionExecution(context, path, "Alarm#Alarm#e301#true", "o3.z1");

				o3.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Alarm#e301#true", "o3.z1");
		
	fireComeToState(context, path, "Alarm");
	
	// Alarm [o3.z9, o3.z28]
				fireBeforeOutputActionExecution(context, path, "Alarm#Alarm#e301#true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Alarm#e301#true", "o3.z9");
				fireBeforeOutputActionExecution(context, path, "Alarm#Alarm#e301#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Alarm#e301#true", "o3.z28");
					return new StateMachineConfig("Alarm");

																				
														case e401:
																
						// Alarm->Guard e401[true]/
			
			fireTransitionCandidate(context, path, "Alarm", event, "Alarm#Guard#e401#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm", event, "Alarm#Guard#e401#true");
	
		
	fireComeToState(context, path, "Guard");
	
	// Guard [o3.z10, o3.z25, o3.z26]
				fireBeforeOutputActionExecution(context, path, "Alarm#Guard#e401#true", "o3.z10");

				o3.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Guard#e401#true", "o3.z10");
				fireBeforeOutputActionExecution(context, path, "Alarm#Guard#e401#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Guard#e401#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Alarm#Guard#e401#true", "o3.z26");

				o3.z26(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Guard#e401#true", "o3.z26");
					return new StateMachineConfig("Guard");

																				
														case e302:
																
						// Alarm->Alarm e302[true]/o3.z2
			
			fireTransitionCandidate(context, path, "Alarm", event, "Alarm#Alarm#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm", event, "Alarm#Alarm#e302#true");
	
				fireBeforeOutputActionExecution(context, path, "Alarm#Alarm#e302#true", "o3.z2");

				o3.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Alarm#e302#true", "o3.z2");
		
	fireComeToState(context, path, "Alarm");
	
	// Alarm [o3.z9, o3.z28]
				fireBeforeOutputActionExecution(context, path, "Alarm#Alarm#e302#true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Alarm#e302#true", "o3.z9");
				fireBeforeOutputActionExecution(context, path, "Alarm#Alarm#e302#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Alarm#e302#true", "o3.z28");
					return new StateMachineConfig("Alarm");

																				
														case e303:
																
						// Alarm->Alarm e303[true]/o3.z3
			
			fireTransitionCandidate(context, path, "Alarm", event, "Alarm#Alarm#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm", event, "Alarm#Alarm#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Alarm#Alarm#e303#true", "o3.z3");

				o3.z3(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Alarm#e303#true", "o3.z3");
		
	fireComeToState(context, path, "Alarm");
	
	// Alarm [o3.z9, o3.z28]
				fireBeforeOutputActionExecution(context, path, "Alarm#Alarm#e303#true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Alarm#e303#true", "o3.z9");
				fireBeforeOutputActionExecution(context, path, "Alarm#Alarm#e303#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Alarm#e303#true", "o3.z28");
					return new StateMachineConfig("Alarm");

																				
														case e403:
																
						// Alarm->Panic e403[true]/
			
			fireTransitionCandidate(context, path, "Alarm", event, "Alarm#Panic#e403#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm", event, "Alarm#Panic#e403#true");
	
		
	fireComeToState(context, path, "Panic");
	
	// Panic []
					return new StateMachineConfig("Panic");

																				
														case e402:
																
						// Alarm->Normal e402[true]/
			
			fireTransitionCandidate(context, path, "Alarm", event, "Alarm#Normal#e402#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Alarm", event, "Alarm#Normal#e402#true");
	
		
	fireComeToState(context, path, "Normal");
	
	// Normal [o3.z27, o3.z25, o3.z9]
				fireBeforeOutputActionExecution(context, path, "Alarm#Normal#e402#true", "o3.z27");

				o3.z27(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Normal#e402#true", "o3.z27");
				fireBeforeOutputActionExecution(context, path, "Alarm#Normal#e402#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Normal#e402#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Alarm#Normal#e402#true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Alarm#Normal#e402#true", "o3.z9");
					return new StateMachineConfig("Normal");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Guard:
						
											
												switch (e) {
													case e301:
																
						// Guard->Guard e301[true]/o3.z1
			
			fireTransitionCandidate(context, path, "Guard", event, "Guard#Guard#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard", event, "Guard#Guard#e301#true");
	
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e301#true", "o3.z1");

				o3.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e301#true", "o3.z1");
		
	fireComeToState(context, path, "Guard");
	
	// Guard [o3.z10, o3.z25, o3.z26]
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e301#true", "o3.z10");

				o3.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e301#true", "o3.z10");
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e301#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e301#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e301#true", "o3.z26");

				o3.z26(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e301#true", "o3.z26");
					return new StateMachineConfig("Guard");

																				
														case e404:
																
						// Guard->Alarm e404[true]/
			
			fireTransitionCandidate(context, path, "Guard", event, "Guard#Alarm#e404#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard", event, "Guard#Alarm#e404#true");
	
		
	fireComeToState(context, path, "Alarm");
	
	// Alarm [o3.z9, o3.z28]
				fireBeforeOutputActionExecution(context, path, "Guard#Alarm#e404#true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Alarm#e404#true", "o3.z9");
				fireBeforeOutputActionExecution(context, path, "Guard#Alarm#e404#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Alarm#e404#true", "o3.z28");
					return new StateMachineConfig("Alarm");

																				
														case e302:
																
						// Guard->Guard e302[true]/o3.z2
			
			fireTransitionCandidate(context, path, "Guard", event, "Guard#Guard#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard", event, "Guard#Guard#e302#true");
	
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e302#true", "o3.z2");

				o3.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e302#true", "o3.z2");
		
	fireComeToState(context, path, "Guard");
	
	// Guard [o3.z10, o3.z25, o3.z26]
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e302#true", "o3.z10");

				o3.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e302#true", "o3.z10");
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e302#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e302#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e302#true", "o3.z26");

				o3.z26(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e302#true", "o3.z26");
					return new StateMachineConfig("Guard");

																				
														case e303:
																
						// Guard->Guard e303[true]/o3.z3
			
			fireTransitionCandidate(context, path, "Guard", event, "Guard#Guard#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard", event, "Guard#Guard#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e303#true", "o3.z3");

				o3.z3(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e303#true", "o3.z3");
		
	fireComeToState(context, path, "Guard");
	
	// Guard [o3.z10, o3.z25, o3.z26]
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e303#true", "o3.z10");

				o3.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e303#true", "o3.z10");
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e303#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e303#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Guard#Guard#e303#true", "o3.z26");

				o3.z26(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Guard#e303#true", "o3.z26");
					return new StateMachineConfig("Guard");

																				
														case e403:
																
						// Guard->Panic e403[true]/
			
			fireTransitionCandidate(context, path, "Guard", event, "Guard#Panic#e403#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard", event, "Guard#Panic#e403#true");
	
		
	fireComeToState(context, path, "Panic");
	
	// Panic []
					return new StateMachineConfig("Panic");

																				
														case e402:
																
						// Guard->Normal e402[true]/
			
			fireTransitionCandidate(context, path, "Guard", event, "Guard#Normal#e402#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard", event, "Guard#Normal#e402#true");
	
		
	fireComeToState(context, path, "Normal");
	
	// Normal [o3.z27, o3.z25, o3.z9]
				fireBeforeOutputActionExecution(context, path, "Guard#Normal#e402#true", "o3.z27");

				o3.z27(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Normal#e402#true", "o3.z27");
				fireBeforeOutputActionExecution(context, path, "Guard#Normal#e402#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Normal#e402#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Guard#Normal#e402#true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Normal#e402#true", "o3.z9");
					return new StateMachineConfig("Normal");

																				
														case e405:
																
						// Guard->Shocked e405[true]/
			
			fireTransitionCandidate(context, path, "Guard", event, "Guard#Shocked#e405#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Guard", event, "Guard#Shocked#e405#true");
	
		
	fireComeToState(context, path, "Shocked");
	
	// Shocked [o3.z24, o3.z28]
				fireBeforeOutputActionExecution(context, path, "Guard#Shocked#e405#true", "o3.z24");

				o3.z24(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Shocked#e405#true", "o3.z24");
				fireBeforeOutputActionExecution(context, path, "Guard#Shocked#e405#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Guard#Shocked#e405#true", "o3.z28");
					return new StateMachineConfig("Shocked");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Shocked:
						
											
												switch (e) {
													case e301:
																
						// Shocked->Shocked e301[true]/o3.z1
			
			fireTransitionCandidate(context, path, "Shocked", event, "Shocked#Shocked#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shocked", event, "Shocked#Shocked#e301#true");
	
				fireBeforeOutputActionExecution(context, path, "Shocked#Shocked#e301#true", "o3.z1");

				o3.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Shocked#e301#true", "o3.z1");
		
	fireComeToState(context, path, "Shocked");
	
	// Shocked [o3.z24, o3.z28]
				fireBeforeOutputActionExecution(context, path, "Shocked#Shocked#e301#true", "o3.z24");

				o3.z24(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Shocked#e301#true", "o3.z24");
				fireBeforeOutputActionExecution(context, path, "Shocked#Shocked#e301#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Shocked#e301#true", "o3.z28");
					return new StateMachineConfig("Shocked");

																				
														case e401:
																
						// Shocked->Guard e401[true]/
			
			fireTransitionCandidate(context, path, "Shocked", event, "Shocked#Guard#e401#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shocked", event, "Shocked#Guard#e401#true");
	
		
	fireComeToState(context, path, "Guard");
	
	// Guard [o3.z10, o3.z25, o3.z26]
				fireBeforeOutputActionExecution(context, path, "Shocked#Guard#e401#true", "o3.z10");

				o3.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Guard#e401#true", "o3.z10");
				fireBeforeOutputActionExecution(context, path, "Shocked#Guard#e401#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Guard#e401#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Shocked#Guard#e401#true", "o3.z26");

				o3.z26(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Guard#e401#true", "o3.z26");
					return new StateMachineConfig("Guard");

																				
														case e302:
																
						// Shocked->Shocked e302[true]/o3.z2
			
			fireTransitionCandidate(context, path, "Shocked", event, "Shocked#Shocked#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shocked", event, "Shocked#Shocked#e302#true");
	
				fireBeforeOutputActionExecution(context, path, "Shocked#Shocked#e302#true", "o3.z2");

				o3.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Shocked#e302#true", "o3.z2");
		
	fireComeToState(context, path, "Shocked");
	
	// Shocked [o3.z24, o3.z28]
				fireBeforeOutputActionExecution(context, path, "Shocked#Shocked#e302#true", "o3.z24");

				o3.z24(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Shocked#e302#true", "o3.z24");
				fireBeforeOutputActionExecution(context, path, "Shocked#Shocked#e302#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Shocked#e302#true", "o3.z28");
					return new StateMachineConfig("Shocked");

																				
														case e303:
																
						// Shocked->Shocked e303[true]/o3.z3
			
			fireTransitionCandidate(context, path, "Shocked", event, "Shocked#Shocked#e303#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shocked", event, "Shocked#Shocked#e303#true");
	
				fireBeforeOutputActionExecution(context, path, "Shocked#Shocked#e303#true", "o3.z3");

				o3.z3(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Shocked#e303#true", "o3.z3");
		
	fireComeToState(context, path, "Shocked");
	
	// Shocked [o3.z24, o3.z28]
				fireBeforeOutputActionExecution(context, path, "Shocked#Shocked#e303#true", "o3.z24");

				o3.z24(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Shocked#e303#true", "o3.z24");
				fireBeforeOutputActionExecution(context, path, "Shocked#Shocked#e303#true", "o3.z28");

				o3.z28(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Shocked#e303#true", "o3.z28");
					return new StateMachineConfig("Shocked");

																				
														case e403:
																
						// Shocked->Panic e403[true]/
			
			fireTransitionCandidate(context, path, "Shocked", event, "Shocked#Panic#e403#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shocked", event, "Shocked#Panic#e403#true");
	
		
	fireComeToState(context, path, "Panic");
	
	// Panic []
					return new StateMachineConfig("Panic");

																				
														case e402:
																
						// Shocked->Normal e402[true]/
			
			fireTransitionCandidate(context, path, "Shocked", event, "Shocked#Normal#e402#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Shocked", event, "Shocked#Normal#e402#true");
	
		
	fireComeToState(context, path, "Normal");
	
	// Normal [o3.z27, o3.z25, o3.z9]
				fireBeforeOutputActionExecution(context, path, "Shocked#Normal#e402#true", "o3.z27");

				o3.z27(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Normal#e402#true", "o3.z27");
				fireBeforeOutputActionExecution(context, path, "Shocked#Normal#e402#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Normal#e402#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Shocked#Normal#e402#true", "o3.z9");

				o3.z9(context);
		
	fireAfterOutputActionExecution(context, path, "Shocked#Normal#e402#true", "o3.z9");
					return new StateMachineConfig("Normal");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																						case Panic:
						
											
												switch (e) {
													case e301:
																
						// Panic->Panic e301[true]/o3.z1
			
			fireTransitionCandidate(context, path, "Panic", event, "Panic#Panic#e301#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Panic", event, "Panic#Panic#e301#true");
	
				fireBeforeOutputActionExecution(context, path, "Panic#Panic#e301#true", "o3.z1");

				o3.z1(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Panic#e301#true", "o3.z1");
		
	fireComeToState(context, path, "Panic");
	
	// Panic []
					return new StateMachineConfig("Panic");

																				
														case e401:
																
						// Panic->Guard e401[true]/
			
			fireTransitionCandidate(context, path, "Panic", event, "Panic#Guard#e401#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Panic", event, "Panic#Guard#e401#true");
	
		
	fireComeToState(context, path, "Guard");
	
	// Guard [o3.z10, o3.z25, o3.z26]
				fireBeforeOutputActionExecution(context, path, "Panic#Guard#e401#true", "o3.z10");

				o3.z10(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Guard#e401#true", "o3.z10");
				fireBeforeOutputActionExecution(context, path, "Panic#Guard#e401#true", "o3.z25");

				o3.z25(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Guard#e401#true", "o3.z25");
				fireBeforeOutputActionExecution(context, path, "Panic#Guard#e401#true", "o3.z26");

				o3.z26(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Guard#e401#true", "o3.z26");
					return new StateMachineConfig("Guard");

																				
														case e302:
																
						// Panic->Panic e302[true]/o3.z2
			
			fireTransitionCandidate(context, path, "Panic", event, "Panic#Panic#e302#true");
			
						
							
			
							
					fireTransitionFound(context, path, "Panic", event, "Panic#Panic#e302#true");
	
				fireBeforeOutputActionExecution(context, path, "Panic#Panic#e302#true", "o3.z2");

				o3.z2(context);
		
	fireAfterOutputActionExecution(context, path, "Panic#Panic#e302#true", "o3.z2");
		
	fireComeToState(context, path, "Panic");
	
	// Panic []
					return new StateMachineConfig("Panic");

																				
													default:
														
							
										// transition not found
								return config;
												}
						
																	default:
					throw new EventProcessorException("Incorrect stable state [" + config.getActiveState() + "] in state machine [A3Remote]");
			}
		}
	}

				//o3.x1
				private static final int _o3_x1 = 0;
	        
}
	
	private static boolean isInputActionCalculated(BitSet calculatedInputActions, int k) {
		boolean b = calculatedInputActions.get(k);
            
        if (!b) {
			calculatedInputActions.set(k);
		}
            
        return b;
	}
	
}
	
